require 'default:base_mobile'


function SetStartingStats(statTable,quiet)	
	-- begin with base stats
	--HACK for new character creation, fix later.
	local initialStats = statTable.Stats or { Str=20, Agi=20, Int=20, Wis=20, Will=20, Con=20 }

	if not (quiet) then
		if (GetStr(this) < initialStats.Str) then
			this:SystemMessage("[F7CC0A]Your Strength has increased, now "..initialStats.Str.." (+" .. tostring(-GetStr(this) + initialStats.Str) .. ")","info")
		elseif (GetStr(this) > initialStats.Str) then
			this:SystemMessage("[F7CC0A]Your Strength has decreased, now "..initialStats.Str.." (-" .. tostring(GetStr(this) - initialStats.Str) .. ")","info")
		end
	end
	SetStr(this,initialStats.Str or 10)
	if not (quiet) then
		if (GetAgi(this) < initialStats.Agi) then
			this:SystemMessage("[F7CC0A]Your Agility has increased, now "..initialStats.Agi.." (+" .. tostring(-GetAgi(this) + initialStats.Agi) .. ")","info")
		elseif (GetAgi(this) > initialStats.Agi) then
			this:SystemMessage("[F7CC0A]Your Agility has decreased, now "..initialStats.Agi.." (-" .. tostring(GetAgi(this) - initialStats.Agi) .. ")","info")
		end
	end
	SetAgi(this,initialStats.Agi or 10)
	if not (quiet) then
		if (GetInt(this) < initialStats.Int) then
			this:SystemMessage("[F7CC0A]Your Intelligence has increased, now "..initialStats.Int.." (+" .. tostring(-GetInt(this) + initialStats.Int) .. ")","info")
		elseif (GetInt(this) > initialStats.Int) then
			this:SystemMessage("[F7CC0A]Your Intelligence has decreased, now "..initialStats.Int.." (-" .. tostring(GetInt(this) - initialStats.Int) .. ")","info")
		end
	end
	SetInt(this,initialStats.Int or 10)	
	if not (quiet) then
		if (GetCon(this) < initialStats.Con) then
			this:SystemMessage("[F7CC0A]Your Constitution has increased, now "..initialStats.Con.." (+" .. tostring(-GetCon(this) + initialStats.Con) .. ")","info")
		elseif (GetCon(this) > initialStats.Con) then
			this:SystemMessage("[F7CC0A]Your Constitution has decreased, now "..initialStats.Con.." (-" .. tostring(GetCon(this) - initialStats.Con) .. ")","info")
		end
	end
	SetCon(this,initialStats.Con or 10)	
	if not (quiet) then
		if (GetWis(this) < initialStats.Wis) then
			this:SystemMessage("[F7CC0A]Your Wisdom has increased, now "..initialStats.Wis.." (+" .. tostring(-GetWis(this) + initialStats.Wis) .. ")","info")
		elseif (GetWis(this) > initialStats.Wis) then
			this:SystemMessage("[F7CC0A]Your Wisdom has decreased, now "..initialStats.Wis.." (-" .. tostring(GetWis(this) - initialStats.Wis) .. ")","info")
		end
	end
	SetWis(this,initialStats.Wis or 10)	
	if not (quiet) then
		if (GetWill(this) < initialStats.Will) then
			this:SystemMessage("[F7CC0A]Your Will has increased, now "..initialStats.Will.." (+" .. tostring(-GetWill(this) + initialStats.Will) .. ")","info")
		elseif (GetWill(this) > initialStats.Will) then
			this:SystemMessage("[F7CC0A]Your Will has decreased, now "..initialStats.Will.." (-" .. tostring(GetWill(this) - initialStats.Will) .. ")","info")
		end
	end
	SetWill(this,initialStats.Will)	

	DoRecalculateStats()

	-- next do health / mana / stamina
	if not (quiet) then
		if (GetMaxHealth(this) > GetCurHealth(this))  then
			this:SystemMessage("[F7CC0A]Your Health has increased, now "..GetMaxHealth(this).." (+" .. tostring(-GetMaxHealth(this) + GetCurHealth(this)) .. ")","info")
		elseif (GetMaxHealth(this) < GetCurHealth(this)) then
			this:SystemMessage("[F7CC0A]Your Health has decreased, now "..GetMaxHealth(this).." (-" .. tostring(GetMaxHealth(this) - GetCurHealth(this)) .. ")","info")
		end
	end
	SetCurHealth(this,GetMaxHealth(this))

	if not (quiet) then
		if (GetMaxMana(this) > GetCurMana(this))  then
			this:SystemMessage("[F7CC0A]Your Mana has increased, now "..GetMaxMana(this).." (+" .. tostring(-GetMaxMana(this) + GetCurMana(this)) .. ")","info")
		elseif (GetMaxMana(this) < GetCurMana(this)) then
			this:SystemMessage("[F7CC0A]Your Mana has decreased, now "..GetMaxMana(this).." (-" .. tostring(GetMaxMana(this) - GetCurMana(this)) .. ")","info")
		end
	end
	SetCurMana(this,GetMaxMana(this))

	if not (quiet) then
		if (GetMaxStamina(this) > GetCurStamina(this))  then
			this:SystemMessage("[F7CC0A]Your Mana has increased, now "..GetMaxStamina(this).." (+" .. tostring(-GetMaxStamina(this) + GetCurStamina(this)) .. ")","info")
		elseif (GetMaxStamina(this) < GetCurStamina(this)) then
			this:SystemMessage("[F7CC0A]Your Health has decreased, now "..GetMaxStamina(this).." (-" .. tostring(GetMaxStamina(this) - GetCurStamina(this)) .. ")","info")
		end
	end
	SetCurStamina(this,GetMaxStamina(this))

	-- DAB TODO: Shouldn't this go in player.lua?
	if(this:IsPlayer()) then
		SetCurVitality(this,GetMaxVitality(this))
	end

	-- set skills
	if( statTable.Skills ~= nil ) then
		for name, value in pairs(statTable.Skills) do
			
			if( name == 'Manifestation' or name == 'Evocation' ) then
				name = 'Magery'
			end

			local skillName = name .. "Skill"
			if  not (SkillData.AllSkills[skillName]) then			
				skillName = name
			end			
			if (SkillData.AllSkills[skillName]) then			
				if not (quiet) then
					if GetSkillLevel(this,skillName) > value then
						this:SystemMessage("[F7CC0A]Your knowledge of the art of " .. name .. " has decreased, now "..value.." (-" .. tostring(GetSkillLevel(this,skillName) - value) .. ")","info")	
					elseif GetSkillLevel(this,skillName) < value then
						this:SystemMessage("[F7CC0A]Your knowledge of the art of " .. name .. " has increased, now "..value.." (+" .. tostring(-GetSkillLevel(this,skillName) + value) .. ")","info")	
					end
				end
				SetSkillLevel(this, skillName, value, false)
			else
				DebugMessage("ERROR: Template specifies invalid skill Template: " .. (this:GetObjVar("FormTemplate") or this:GetCreationTemplateId()) .. " Name: "..name)
			end
		end
	end

	if not (quiet) then
		this:SystemMessage("Your equipment has changed.","info")
	end	
end
