require 'default:defines_templates'
---------------------------------------------------------
-- ITEM RARITY
-- Version 1.0
---------------------------------------------------------
-- item rarity for consistency in drop rates 
ItemRarity =
{
	-- item drop chances
	VeryCommon = 25,  		-- 1 in 4 chance
	Common = 4,				-- 1 in 25 chance
	Uncommon = 2,    		-- 1 in 50 chance
	Rare = 1,				-- 1 in 100 chance
	VeryRare = 0.5,   		-- 1 in 200 chance
	UltraRare = 0.2,  		-- 1 in 500 chance
	Legendary = 0.1,  		-- 1 in 1000 chance

	-- tribute key drop chance
	TributeKeyCommon = 6, 	-- 1 in 16 chance
	TributeKeyUncommon = 3, -- 1 in 33 chance		
	TributeKeyRare = 1.5, 	-- 1 in 66 chance
}

---------------------------------------------------------
-- ITEM DROP WEIGHT
-- Version 1.0
---------------------------------------------------------
-- item drop weight fo rconsistency in drop rates
ItemDropWeight =
{
	-- standard equipment
	Armor = 10,
	Weapons = 10,
	Jewelry = 5,
	Shields = 5,
}

---------------------------------------------------------
-- TRIBUTE KEYS
-- Version 1.0
---------------------------------------------------------
TemplateDefines.LootTable.TributeKeysLillian =
{
	NumItemsMin = 0,
	NumItemsMax = 1,
	LootItems = 
	{									
		{ Chance = ItemRarity.TributeKeyCommon, Template = "tribute_key_lillian_roth_1", Unique = true },
		{ Chance = ItemRarity.TributeKeyCommon, Template = "tribute_key_lillian_roth_2", Unique = true },
		{ Chance = ItemRarity.TributeKeyCommon, Template = "tribute_key_lillian_roth_3", Unique = true },
		{ Chance = ItemRarity.TributeKeyCommon, Template = "tribute_key_lillian_roth_4", Unique = true },
	}	
}

---------------------------------------------------------
-- COMMON MAGIC ITEMS
-- Version 1.0
---------------------------------------------------------
-- used for normal monsters
TemplateDefines.LootTable.CommonMagicItems =
{
	NumItemsMin = 0,
	NumItemsMax = 1,
	LootItems = 
	{		
		-- plate							
		{ Chance = ItemRarity.Common, Template = "armor_plate_leggings_channeling", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_helm_channeling", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_tunic_channeling", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_leggings_endurance", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_helm_endurance", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_tunic_endurance", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_leggings_constitution", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_helm_constitution", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_tunic_constitution", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_leggings_fortification", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_helm_fortification", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_tunic_fortification", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_leggings_adrenaline", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_helm_adrenaline", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_plate_tunic_adrenaline", Unique = true },
		-- cultist
		{ Chance = ItemRarity.Common, Template = "armor_cultist_leggings_summoning", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_cultist_helm_summoning", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_cultist_tunic_summoning", Unique = true },		
		{ Chance = ItemRarity.Common, Template = "armor_cultist_leggings_enduring", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_cultist_helm_enduring", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_cultist_tunic_enduring", Unique = true },		
		{ Chance = ItemRarity.Common, Template = "armor_cultist_leggings_constitution", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_cultist_helm_constitution", Unique = true },
		{ Chance = ItemRarity.Common, Template = "armor_cultist_tunic_constitution", Unique = true },		
	}	
}

---------------------------------------------------------
-- COMMON MAGIC ITEMS BOSS
-- Version 1.0
---------------------------------------------------------
-- used for boss loot 
TemplateDefines.LootTable.CommonMagicItemsBoss =
{
	NumItemsMin = 1,
	NumItemsMax = 4,
	LootItems = 
	{			
		-- plate						
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_leggings_channeling", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_helm_channeling", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_tunic_channeling", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_leggings_endurance", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_helm_endurance", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_tunic_endurance", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_leggings_constitution", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_helm_constitution", Unique = true},
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_tunic_constitution", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_leggings_fortification", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_helm_fortification", Unique = true},
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_tunic_fortification", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_leggings_adrenaline", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_helm_adrenaline", Unique = true},
		{ Weight=ItemDropWeight.Armor, Template = "armor_plate_tunic_adrenaline", Unique = true },
		-- cultist
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_leggings_summoning", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_helm_summoning", Unique = true},
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_tunic_summoning", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_leggings_enduring", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_helm_enduring", Unique = true},
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_tunic_enduring", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_leggings_constitution", Unique = true },
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_helm_constitution", Unique = true},
		{ Weight=ItemDropWeight.Armor, Template = "armor_cultist_tunic_constitution", Unique = true },
	}	
}