-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- opens a one way portal for a short time to your bind location
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.DimensionalDoor = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Caster = nil,
	Duration = SpellData.SpellEffectDuration.Portal,
	PortalDuration = 10,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args) 
		self.Caster = self.ParentObj
		local destinationInfo = self.Caster:GetObjVar("SpawnPosition")
		CreateObj("portal",self.Caster:GetLoc(),"portal_created",self.PortalDuration,self.Caster)	
		RegisterSingleEventHandler(EventType.CreatedObject,"portal_created", self.HandleCreatedPortal)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	OnExitState = function(self,root)
		UnregisterEventHandler("", EventType.CreatedObject, "portal_created")
	end,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	HandleCreatedPortal = function(success,portal,portalDuration,caster)
		if(success) then
			local destinationInfo = caster:GetObjVar("SpawnPosition")
			if (caster ~= nil) then
				portal:SetObjVar("Summoner", caster)
			end
			portal:SetObjVar("Destination",destinationInfo.Loc)
			portal:SetObjVar("PortalName", "Dimensional Door")
			portal:SetObjVar("RegionAddress",destinationInfo.Region)
			PlayEffectAtLoc("PrimedAir",portal:GetLoc(),portalDuration)
			PlayEffectAtLoc("PrimedAir2",portal:GetLoc(),portalDuration)
			Decay(portal, portalDuration)
		end
	end		
}