-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- turns the caster invisible
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Invisibility = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Caster = nil,
	Duration = TimeSpan.FromSeconds(30),
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args) 
		self.Caster = self.ParentObj
	    RegisterEventHandler(EventType.Message, "HasDiedMessage", function() EndMobileEffect(root) end)
	    RegisterEventHandler(EventType.Message, "BreakInvisEffect", function() EndMobileEffect(root) end)
	    RegisterEventHandler(EventType.Message, "DamageInflicted", function() EndMobileEffect(root) end)
	    RegisterEventHandler(EventType.StartMoving, "", function() EndMobileEffect(root) end)		
		self.DoInvisibilityEffect(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	OnExitState = function(self,root)
		RemoveBuffIcon(self.Caster,"Invisibility")
		self.Caster:SetCloak(false)
		self.Caster:SystemMessage("[4477AA]your invisibility fades, you can be seen again.", "info")
		UnregisterEventHandler("", EventType.Message, "HasDiedMessage")
		UnregisterEventHandler("", EventType.Message, "BreakInvisEffect")
		UnregisterEventHandler("", EventType.Message, "DamageInflicted")
		UnregisterEventHandler("", EventType.StartMoving, "")
	end,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	DoInvisibilityEffect = function(self,root,target,args)
		AddBuffIcon(self.Caster, "Invisibility", "Invisible", "cloak", "Invisible to all!", true)
		self.Caster:SetCloak(true)
	end		
}