-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Damage Scaling
-- TODO DAMANGE CHANGE COMMENT CORRECTLY
-- damage bonus is 1 - 100 based on enhancement skill
-- RULES
-- 50% less damage to non undead
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.MagicalMissile = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	MinDamage = 4,
	MaxDamage = 9,
	BaseDamage = 10,
	MaxBonusDamage = 11,
	MissileDelayInSeconds = 0.3,
	Caster = nil,
	Victim = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Victim = self.ParentObj
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		DoProjectileSpellEffects(self.Caster,self.Victim,"MagicalMissile",self)
		CallFunctionDelayed(TimeSpan.FromSeconds(self.MissileDelayInSeconds),function() DoProjectileSpellEffects(self.Caster,self.Victim,"MagicalMissile",self) end)
		CallFunctionDelayed(TimeSpan.FromSeconds(self.MissileDelayInSeconds*2),function() DoProjectileSpellEffects(self.Caster,self.Victim,"MagicalMissile",self) end)		
	end,
	DoDelayedDamage = function (self)
		local baseLightDamage = (GetSkillLevel(self.Caster,"AirMagic")/100) * self.BaseDamage
		local maxBonusDamage = (GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100) *self.MaxBonusDamage
		local spellDamage = math.random(self.MinDamage,self.MaxDamage) + baseLightDamage + maxBonusDamage
		self.Victim:SendMessage("DamageInflicted",self.Caster,spellDamage,"MAGIC",false,false,false,self.Caster)
	end
}