-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.AmplifyDamage = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	BaseDamageTakenIncrease = 0.10,
	Duration = SpellData.SpellEffectDuration.DebuffNormal,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		local enhancementSkill = GetSkillLevel(target,"MagicFocusEnhancement") 
		local bonusEnhancementDuration = (enhancementSkill/100) * 20
		local bonusEnhancementIncrease = (enhancementSkill/400)
		local damageTakenIncrease = self.BaseDamageTakenIncrease + bonusEnhancementIncrease
		self.Duration = self.Duration + TimeSpan.FromSeconds(bonusEnhancementDuration)		
		-- apply buff icons
		if ( self.ParentObj:IsPlayer() ) then
			AddBuffIcon(target, "AmplifyDamage", "[AA5555]Amplify Damage[-]", "Flame Mark", "You feel more vulnerable.")
		end
		-- set mobile mods
		SetMobileMod(target, "PhysicalDamageTakenTimes", "AmplifyDamage", damageTakenIncrease)
		-- play spell effects
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		-- remove buff icons and mobile modes
		if ( self.ParentObj:IsPlayer() ) then
			RemoveBuffIcon(self.ParentObj, "AmplifyDamage")
		end
		SetMobileMod(self.ParentObj, "PhysicalDamageTakenTimes", "AmplifyDamage", nil)
	end,
	OnStack = function(self,root,target,args)
		-- refresh duration
		root.ParentObj:ScheduleTimerDelay(self.Duration, root.PulseId.."-"..root.CurStateName)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.ParentObj:PlayObjectSound("event:/monsters/phantom/phantom_death",false)
		self.ParentObj:PlayEffectWithArgs("GrimAuraDebuffEffect",4.5,"Bone=Ground")
		target:SystemMessage("[AA5555]you curse " .. target:GetName())	
	end,
}