-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.EnergyVampire = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	PulseFrequency = TimeSpan.FromSeconds(2),
	PulseMax = 8,
	CurrentPulse = 0,
	MaxManaLossPerTick = 5,
	MaxStaminaLossPerTick = 5,
	Caster = nil,
	Victim = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		if(self.ParentObj == target) then 
			target:SystemMessage("[AA5555]you feel nothing")
			self.CurrentPulse = self.PulseMax
			EndMobileEffect(root)
			return
		end
		self.Caster = target
		self.Victim = self.ParentObj
		-- apply buff icons
		if ( self.Victim:IsPlayer() ) then
			AddBuffIcon(self.Victim, "EnergyVampire", "[AA5555]Energy Vampire[-]", "Unholy Mastery", "You feel like your very essence is being drained.")
		end
		-- play spell effects
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		-- remove buff icons and mobile modes
		if ( self.Victim:IsPlayer() ) then
			RemoveBuffIcon(self.Victim, "EnergyVampire")
			self.Victim:SystemMessage("[AA5555]the energy vampire leaves your soul...")
		end
	end,
	OnStack = function(self,root,target,args)
		self.CurrentPulse = 0
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.PulseFrequency
	end,
	AiPulse = function(self,root)
		self.CurrentPulse = self.CurrentPulse + 1
		if ( IsDead(self.Victim) or self.CurrentPulse > self.PulseMax ) then
			if(self.Caster:IsPlayer()) then
				self.Caster:SystemMessage("[AA5555]your energy vampire has left your victim...")
			end
			EndMobileEffect(root)
		else
			self.DoEnergyDrain(self,root)
		end		
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Victim:PlayObjectSound("event:/monsters/phantom/phantom_death",false)
		self.Victim:PlayEffectWithArgs("GrimAuraDebuffEffect",4.5,"Bone=Ground")
	end,
	DoEnergyDrain = function (self,root)
		local enhancementSkillFactor = GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100
		local manaLoss = enhancementSkillFactor * self.MaxManaLossPerTick
		local staminaLoss = enhancementSkillFactor * self.MaxStaminaLossPerTick
		local healAmount = manaLoss + staminaLoss + math.random(3,6)
		healAmount = math.random(healAmount,healAmount*1.5)
		if(GetCurMana(self.Victim) < manaLoss) then manaLoss = GetCurMana(self.Victim) end
		if(GetCurStamina(self.Victim) < staminaLoss) then staminaLoss = GetCurStamina(self.Victim) end
	
		SetCurMana(self.Victim,GetCurMana(self.Victim)-manaLoss)
		SetCurStamina(self.Victim,GetCurStamina(self.Victim)-staminaLoss)

		self.Caster:SendMessage("HealRequest", healAmount, self.Caster)
	end
}