-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Poison = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	PulseFrequency = TimeSpan.FromSeconds(3),
	PulseMax = 6,
	CurrentPulse = 0,
	MinDamagePerTick = 4,
	MaxDamagePerTick = 12,
	MaxBonusDamagePerTick = 8,
	Victim = nil,
	Caster = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Victim = self.ParentObj

		-- apply buff icons
		if ( self.Victim:IsPlayer() ) then
			AddBuffIcon(self.Victim, "Poison", "[AA5555]Poisoned[-]", "Poison Cloud", "you feel ill.")
		end
		-- play spell effects
		self.PlayEffects(self,root,target,args)
		SetMobileMod(self.Victim, "HealingReceivedTimes", "Poison", -0.50)
	end,
	OnExitState = function(self,root)
		-- remove buff icons and mobile modes
		if ( self.Victim:IsPlayer() ) then
			RemoveBuffIcon(self.Victim, "Poison")
			self.Victim:SystemMessage("[AA5555]you are no longer poisoned...")
		end
		SetMobileMod(self.Victim, "HealingReceivedTimes", "Poison",nil)
		self.Victim:StopEffect("PoisonSpellEffect")
		self.Victim:StopEffect("StatusEffectPoison")
	end,
	OnStack = function(self,root,target,args)
		self.CurrentPulse = 0
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.PulseFrequency
	end,
	AiPulse = function(self,root)
		self.CurrentPulse = self.CurrentPulse + 1
		if ( IsDead(self.Victim) or self.CurrentPulse > self.PulseMax ) then
			EndMobileEffect(root)
		else
			self.DoPoisonDamage(self,root)
		end		
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Victim:PlayEffect("PoisonSpellEffect")
		self.Victim:PlayEffect("StatusEffectPoison")
	end,
	DoPoisonDamage = function (self,root)
		local enhancementSkillFactor = GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100
		local bonusTickDamage = enhancementSkillFactor * self.MaxBonusDamagePerTick
		local totalTickDamage = math.random(self.MinDamagePerTick,self.MaxDamagePerTick) + bonusTickDamage
		self.Victim:SendMessage("DamageInflicted",self.Caster,totalTickDamage,"MAGIC",false,false,false,self.Caster)
	end
}