-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.RagingSpirit = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	CategoryKey = "DarkMagic",
	MobTableKey = "RagingSpirits",
	SummonedDuration = TimeSpan.FromSeconds(6),
	MaxBonusSummonedDurationInSeconds = 6,
	SpawnRadius = 3,
	BaseAttack = 4,
	MaxAttackBonus = 12,
	BaseArmor = 15,
	MaxArmorBonus = 30,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
        RegisterSingleEventHandler(EventType.CreatedObject, "RagingSpiritCreated", function(success, ragingSpirit,castingArgs)
            self.HandleCreateragingSpiritEvent(success,ragingSpirit,castingArgs)
        end)
		self.SummonragingSpirit(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	SummonragingSpirit = function(self,root,target,args)
		local castingArgs =
		{
			Caster = self.ParentObj,
			CategoryKey = self.CategoryKey,
			MobTableKey = self.MobTableKey,
			SummonedDuration = self.SummonedDuration,
			MaxBonusSummonedDurationInSeconds = self.MaxBonusSummonedDurationInSeconds,
			SpawnRadius = self.SpawnRadius,
			BaseAttack = self.BaseAttack,
			MaxAttackBonus = self.MaxAttackBonus,
			BaseArmor = self.BaseArmor,
			MaxArmorBonus = self.MaxArmorBonus,
		}
		if(CanAddSummon(castingArgs.Caster,castingArgs.CategoryKey,castingArgs.MobTableKey)) then
			CreateObj("summoned_raging_spirit_1", GetRandomPassableLocationInRadius(self.ParentObj:GetLoc(),self.SpawnRadius,true),"RagingSpiritCreated",castingArgs)	
		end
	end,
	HandleCreateragingSpiritEvent = function(success,ragingSpirit,castingArgs)
		local summonFactor = (GetSkillLevel(castingArgs.Caster,"MagicFocusSummoning")/100)
		local durationBonus = summonFactor * castingArgs.MaxBonusSummonedDurationInSeconds
		local duration = castingArgs.SummonedDuration + TimeSpan.FromSeconds(durationBonus)
		local attackBonus = summonFactor * castingArgs.MaxAttackBonus
		local attack = castingArgs.BaseAttack + attackBonus
		local armorBonus = summonFactor * castingArgs.MaxArmorBonus
		local armor = castingArgs.BaseArmor + attackBonus
		-- add summon information to object
		ragingSpirit:SetObjVar("Summoned",true)
		ragingSpirit:SetObjVar("SummonMaster",castingArgs.Caster)
		-- attach the delete timer for summoned objects
		ragingSpirit:AddModule("summoned_delete_timer",{Duration=duration})
		-- key information for the summoning system
		ragingSpirit:SetObjVar("CategoryKey",castingArgs.CategoryKey)
		ragingSpirit:SetObjVar("MobileTableKey",castingArgs.MobTableKey)
		ragingSpirit:SetSharedObjectProperty("Title", "-| " .. castingArgs.Caster:GetName() .. "'s Minion |-")
		-- scale skeletons power
		ragingSpirit:SetObjVar("Attack",attack)
		ragingSpirit:SetObjVar("Attack",armor)
		PlayEffectAtLoc("CloakEffect",ragingSpirit:GetLoc())
		-- insert this mobile in to the players summon table object variable
		PlayerAddSummon(castingArgs.Caster,castingArgs.CategoryKey,castingArgs.MobTableKey,ragingSpirit)
	end,
}