-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.ChainExplosion = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	PulseFrequency = TimeSpan.FromSeconds(1.5),
	PulseMax = 3,
	CurrentPulse = 0,
	MinDamage = 15,
	MaxDamage = 25,
	MaxBonusDamage = 30,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Target = target
		self.Caster = self.ParentObj
		if(self.Target:IsPlayer()) then
			self.Target:SystemMessage("[FF7700]you feel something burning inside...")
		end
	end,
	OnExitState = function(self,root)
	end,
	OnStack = function(self,root,target,args)
		self.CurrentPulse = 0
		EndMobileEffect(root)
	end,
	GetPulseFrequency = function(self,root)
		return self.PulseFrequency
	end,
	AiPulse = function(self,root)
		self.CurrentPulse = self.CurrentPulse + 1
		if ( IsDead(self.Caster) or self.CurrentPulse > self.PulseMax ) then
			EndMobileEffect(root)
		else
			self.DoTickEffect(self,root)
		end		
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	DoTickEffect = function (self,root)
		local enhancementSkillFactor = GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100
		local damage = math.random(self.MinDamage,self.MaxDamage) + (enhancementSkillFactor * self.MaxBonusDamage)
		self.Target:PlayEffectWithArgs("FireballExplosionEffect",2,"Bone=Spine")
		self.Target:SendMessage("DamageInflicted",self.Caster,damage,"MAGIC",false,false,false,self.Caster)
	end
}