-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.InnerFire = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	PulseFrequency = TimeSpan.FromSeconds(2),
	PulseMax = 5,
	CurrentPulse = 0,
	BaseLifeLostPerTick = 19,
	BaseManaGainedPerTick = 1,
	MaxLifeReductionBonus = 4,
	MaxManaGainedBonus = 4,
	Caster = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		-- apply buff icons
		if ( self.Caster:IsPlayer() ) then
			AddBuffIcon(self.Caster, "InnerFire", "[AA5555]Inner Fire[-]", "Fire Demon", "your soul burns.")
		end
		-- play spell effects
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		-- remove buff icons and mobile modes
		if ( self.Caster:IsPlayer() ) then
			RemoveBuffIcon(self.Caster, "InnerFire")
			self.Caster:SystemMessage("[FF7700]you stop burning...")
		end
		self.Caster:StopEffect("FirePillarEffect")
	end,
	OnStack = function(self,root,target,args)
		EndMobileEffect(root)
	end,
	GetPulseFrequency = function(self,root)
		return self.PulseFrequency
	end,
	AiPulse = function(self,root)
		self.CurrentPulse = self.CurrentPulse + 1
		if ( IsDead(self.Caster) or self.CurrentPulse > self.PulseMax ) then
			EndMobileEffect(root)
		else
			self.DoTickEffect(self,root)
		end		
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Caster:PlayEffect("FirePillarEffect")
	end,
	DoTickEffect = function (self,root)
		local enhancementSkillFactor = GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100
		local lifeReductionBonus = enhancementSkillFactor * self.MaxLifeReductionBonus
		local manaGainedBonus = enhancementSkillFactor * self.MaxManaGainedBonus
		local lifeLost = GetMaxHealth(self.Caster) * ((self.BaseLifeLostPerTick - lifeReductionBonus)/100)
		local manaGained = GetMaxMana(self.Caster) * ((self.BaseManaGainedPerTick + manaGainedBonus)/100)
		-- cant kill the player sorry
		if (lifeLost >= GetCurHealth(self.Caster) - 10) then 
			EndMobileEffect(root) 
			return
		end
		SetCurHealth(self.Caster,(GetCurHealth(self.Caster)-lifeLost))
		SetCurMana(self.Caster,(GetCurMana(self.Caster)+manaGained))
		self.PlayEffects(self,root)
	end
}