-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- TODO: SKILL CHECK BONUS, if we have this mobile effect, bonus success chance
-- Duration Scaling
-- * base duration is 5 minutes
-- * bonuse duration 1 - 15 minutes based on magic focus enhancment
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Bless = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.BuffNormal,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		local enhancementSkill = GetSkillLevel(self.Caster,"MagicFocusEnhancement") 
		local bonusEnhancementDuration = (enhancementSkill / 100) * 15
		self.Duration = self.Duration + TimeSpan.FromMinutes(bonusEnhancementDuration)
		-- apply buff icons
		if ( self.Target:IsPlayer() ) then
			AddBuffIcon(self.Target, "Bless", "Bless", "Healing Hands", "the light fills you with inspiration.")
		end
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		-- remove buff icons and mobile modes
		if ( self.Target:IsPlayer() ) then
			RemoveBuffIcon(self.ParentObj, "Bless")
			self.Target:SystemMessage("[FFFF77]The light of bless leaves you...")
			self.Caster:SystemMessage("[FFFF77]your blessing on " .. self.Target:GetName() .. " has expired...")
		end
	end,
	OnStack = function(self,root,target,args)
		-- refresh duration
		root.ParentObj:ScheduleTimerDelay(self.Duration, root.PulseId.."-"..root.CurStateName)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Target:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.Target:PlayEffectWithArgs("HolyEffect",0,"Bone=Ground")
		self.Target:PlayEffectWithArgs("YellowPortalEffect",2.5,"Bone=Ground")
	end,
}