-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Healing Scaling
-- base heal is 55 - 75
-- bonus heal is 1 - 40 based on magic focus enhancment
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.CureWounds = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	MinHeal = 55,
	MaxHeal = 75,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		-- calculate the bonuses
		local enhancementSkill = GetSkillLevel(self.Caster,"MagicFocusEnhancement")
		local baseHealAmount = math.floor(enhancementSkill/2.5) + math.random(self.MinHeal,self.MaxHeal)
		if(baseHealAmount <= 10) then baseHealAmount = 10 end
		self.Target:SendMessage("HealRequest", baseHealAmount, self.Caster)
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[FFFF77]the light fills you...")
		end
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Target:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.Target:PlayEffectWithArgs("GreenPortalEffect",2.5,"Bone=Ground")	
	end,
}