----------------------------------------------------------------------------------------------- 
-- Version 1.0
-----------------------------------------------------------------------------------------------
-- Healing Scaling
-- base heal is 200 - 250
-- bonus heal is 1 - 100 based on magic focus enhancment
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.HealWounds = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	MinHeal = 200,
	MaxHeal = 250,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		-- calculate the bonuses
		local enhancementSkill = GetSkillLevel(self.Caster,"MagicFocusEnhancement")
		local baseHealAmount = enhancementSkill + math.random(self.MinHeal,self.MaxHeal)
		if(baseHealAmount <= 200) then baseHealAmount = 200 end
		self.Target:SendMessage("HealRequest", baseHealAmount, self.Caster)
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[FFFF77]the light fills you...")
		end
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Target:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.Target:PlayEffectWithArgs("HolyEffect",0,"Bone=Ground")
		self.Target:PlayEffectWithArgs("GreenPortalEffect",2.5,"Bone=Ground")	
	end,
}