-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.HealingWord = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = TimeSpan.FromMilliseconds(100),
	MinHeal = 25,
	MaxHeal = 45,
	MaxBonusHeal = 65,
	MaxRangeBonus = 4,
	Range = 4,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Duration = TimeSpan.FromMilliseconds(100)
		-- apply buff icons
		self.PlayEffects(self,root,target,args)
		self.DoAoeHeal(self,root,target,args)
	end,
	OnStack = function(self,root,target,args)
		-- refresh duration
		root.ParentObj:ScheduleTimerDelay(self.Duration, root.PulseId.."-"..root.CurStateName)
		self.PlayEffects(self)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.ParentObj:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.ParentObj:PlayEffectWithArgs("HolyEffect",0,"Bone=Ground")
		self.ParentObj:PlayEffectWithArgs("ImpactWaveSmallEffect",0,"Bone=Ground")
		self.ParentObj:PlayEffectWithArgs("ImpactWaveEffect",0,"Bone=Ground")
	end,
	DoAoeHeal = function(self,root,target,args)
		local spellCaster = target
		local enhancementSkill = GetSkillLevel(spellCaster,"MagicFocusEnhancement")
		local bonusEnhancementRange = (enhancementSkill/100) * self.MaxRangeBonus
		local bonusEnhancementHeal = (enhancementSkill/100) * self.MaxBonusHeal
    	local mobiles = FindObjects(SearchMobileInRange(self.Range + bonusEnhancementRange))
		for i=1,#mobiles do
			local healAmount = math.random(self.MinHeal,self.MaxHeal) + bonusEnhancementHeal
			if (mobiles[i]:HasLineOfSightToLoc(mobiles[i]:GetLoc(),ServerSettings.Combat.LOSEyeLevel) and mobiles[i]:IsPlayer()) then
				mobiles[i]:SendMessage("HealRequest", healAmount + bonusEnhancementHeal, target)
			end
		end		
	end,
}