-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Health Restored Scaling
-- base is 10% life back
-- bonus is 10%-50% based on magic focus enhancement
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Resurrection = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	BaseHealthRestored = 0.1,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		local enhancementSkill = GetSkillLevel(target,"MagicFocusEnhancement")
		local baseHealthRestored = self.BaseHealthRestored + (enhancementSkill / 200)
		self.ParentObj:SendMessage("Resurrect",baseHalthRestored,target)
		self.PlayEffects(self)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.ParentObj:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.ParentObj:PlayEffectWithArgs("GroundCircleGreen2",2,"Bone=Ground")
		self.ParentObj:PlayEffectWithArgs("HolyEffect",2,"Bone=Ground")	
	end,
}