-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Damage Scaling
-- TODO DAMANGE CHANGE COMMENT CORRECTLY
-- damage bonus is 1 - 100 based on enhancement skill
-- RULES
-- 50% less damage to non undead
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Smite = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	MinDamage = 5,
	MaxDamage = 25,
	BaseDamage = 175,
	MaxBonusDamage = 125,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj	
		local baseLightDamage = (GetSkillLevel(self.Caster,"LightMagic")/100) * self.BaseDamage
		local maxBonusDamage = (GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100) *self.MaxBonusDamage
		local spellDamage = math.random(self.MinDamage,self.MaxDamage) + baseLightDamage + maxBonusDamage
		
		if not(IsUndead(self.Target) or IsDemon(self.Target)) then spellDamage = spellDamage * 0.5 end
		self.Target:SendMessage("DamageInflicted",self.Caster,spellDamage,"MAGIC",false,false,false,self.Caster)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Target:PlayEffectWithArgs("LightningEffect",2.5,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[FFFF77]Lightning cracks down from the sky, striking you in your tracks...")
		end
	end,
}