require 'globals.mobile_effects.tools.world_building'
---------------------------------------------------------
-- SpellEffectLauncher
-- Version 1.0
---------------------------------------------------------
MobileEffectLibrary.SpellEffectLauncher = 
{
    -----------------------------------------------------
    -- VARIABLES        
    -----------------------------------------------------
    -- Tables/Lists
    BoneList = ToolDataTables.BoneReferenceList,
    EffectList = ToolDataTables.EffectReferenceList,
    -- Current Selections
    SelectedBone = "R_Hand",
    SelectedEffect = "FireballEffect",
    SelectedSpellHitEffect = "FireballExplosionEffect",
    -- Dynamic Windows
    DynamicWindowHandle = nil,
    EffectPickerDynamicWindow = nil,
    -- Targeting
    Target = nil,
    -----------------------------------------------------
    -- CORE FUNCTIONS
    -----------------------------------------------------
    OnEnterState = function(self,root,target,args)       
        self.ShowSpellLauncherWindow(self, root)
        RegisterEventHandler(EventType.DynamicWindowResponse, "SpellLauncherWindow",function( user, id )
            self.HandleSpellLauncherWindow( user, id, self, root )
        end)
        RegisterEventHandler(EventType.ClientTargetGameObjResponse, "select_a_target", function(target,user)
            self.HandleClientTargetGameObjectResponse(target,user,self,root)
        end)
        RegisterEventHandler(EventType.DynamicWindowResponse, "PickerWindow",function( user, id )
            self.HandleEffectPickerWindow( user, id, self, root )
        end)                       
	end,
    OnExitState = function(self,root)
        self.ParentObj:CloseDynamicWindow("SpellLauncherWindow")
        UnregisterEventHandler("",EventType.DynamicWindowResponse,"SpellLauncherWindow")
        UnregisterEventHandler("",EventType.DynamicWindowResponse,"PickerWindow")
        UnregisterEventHandler("",EventType.ClientTargetGameObjResponse,"select_a_target")    
    end,
    -----------------------------------------------------
    -- CUSTOM FUNCTIONS
    -----------------------------------------------------    
    ShowSpellLauncherWindow = function(self, root)        
        self.DynamicWindowHandle = DynamicWindow("SpellLauncherWindow","Effect Launcher Tool",305,180,-153,-90,"Parchment","Center")        
        if(self.Target == nil) then
            self.DynamicWindowHandle:AddImage(2,12,"HueSwatch",228,20,"Simple","250025")
            self.DynamicWindowHandle:AddLabel(137,14,"[EEEEEE]Target Required",228,20,18,"center")
            self.DynamicWindowHandle:AddButton(232,10,"SelectATarget","Pick",50,24,"[CCCC44]Select a Target\n[FFFFFF]select a target to throw projectiles at","",false,"")       
            self.ParentObj:SystemMessage("You will need to select a target first","info")
        else
            self.DynamicWindowHandle:AddImage(2,12,"HueSwatch",228,20,"Simple","250025")
            self.DynamicWindowHandle:AddLabel(137,14,"[EEEEEE]Target: [CCCC55]" .. self.Target:GetName(),228,20,18,"center")                   
            self.DynamicWindowHandle:AddButton(232,10,"SelectATarget","Pick",50,24,"[CCCC44]Select a Target\n[FFFFFF]select a target to throw projectiles at","",false,"")       
            
            self.DynamicWindowHandle:AddImage(2,34,"HueSwatch",228,20,"Simple","450045")
            self.DynamicWindowHandle:AddLabel(112,36,"[EEEEEE]Selected: [CCCC55]"..self.SelectedEffect,208,20,18,"center")                   
            self.DynamicWindowHandle:AddButton(232,32,"OpenLaunchEffectPicker","Pick",50,20,"[CCCC44]Select a Launch Effect\n[FFFFFF]opens up the launch effect picker[FFFFFF]","",false,"")       
            
            self.DynamicWindowHandle:AddImage(2,56,"HueSwatch",228,20,"Simple","250025")
            self.DynamicWindowHandle:AddLabel(112,58,"[EEEEEE]On Hit: [CCCC55]"..self.SelectedSpellHitEffect,278,20,18,"center")                   
            self.DynamicWindowHandle:AddButton(232,54,"OpenHitEffectPicker","Pick",50,20,"[CCCC44]Select a OnHit Effect\n[FFFFFF]opens up the on hit effect picker","",false,"")       
            
            self.DynamicWindowHandle:AddImage(2,78,"HueSwatch",228,20,"Simple","450045")
            self.DynamicWindowHandle:AddLabel(112,80,"[EEEEEE]Bone: [CCCC55]"..self.SelectedBone,278,20,18,"center")                   
            self.DynamicWindowHandle:AddButton(232,76,"OpenBonePicker","Pick",50,20,"[CCCC44]Select a Bone\n[FFFFFF]opens up the bone picker","",false,"")       

            self.DynamicWindowHandle:AddButton(2,103,"LaunchEffect","Play",278,20,"[CCCC44]Launch Effect\n[FFFFFF]launches the effect based on the variables selected","",false,"")       
        end
        self.ParentObj:OpenDynamicWindow(self.DynamicWindowHandle)
    end,
    ShowLaunchEffectPickerWindow = function(self,root)
        self.EffectPickerDynamicWindow = DynamicWindow("PickerWindow","Launch Effect Picker",300,600,-150,-300,"Parchment","Center")
        local scrollWindow = ScrollWindow(2,2,270,540,20)        
        local scrollElement = ScrollElement()
        local rotateColor = true
        local backgroundColor = "250025"
        for k,v in pairs(self.EffectList) do
            rotateColor = not rotateColor
            if(rotateColor) then backgroundColor = "250025" else backgroundColor = "450045" end
            scrollElement:AddImage(0,0,"HueSwatch",250,20,"Simple",backgroundColor) 
            scrollElement:AddLabel(5,3,"[A5A545]" .. v.Name,200,18,18,"left")
            scrollElement:AddButton(2,2,"PickedLaunchEffect|"..v.Name, "", 196, 16,"select [CCCC44]" .. v.Name .. "[FFFFFF] as your launch effect","",true, "Invisible")
            scrollWindow:Add(scrollElement)
            scrollElement = ScrollElement()
        end
        self.EffectPickerDynamicWindow:AddScrollWindow(scrollWindow)
        self.ParentObj:OpenDynamicWindow(self.EffectPickerDynamicWindow) 
    end,
    ShowLaunchHitEffectPickerWindow = function(self,root)
        self.EffectPickerDynamicWindow = DynamicWindow("PickerWindow","OnHit Effect Picker",300,600,-150,-300,"Parchment","Center")
        local scrollWindow = ScrollWindow(2,2,270,540,20)        
        local scrollElement = ScrollElement()
        local rotateColor = true
        for k,v in pairs(self.EffectList) do
            rotateColor = not rotateColor
            if(rotateColor) then 
                scrollElement:AddImage(0,0,"HueSwatch",250,20,"Simple","250025") 
                scrollElement:AddLabel(5,3,"[A5A545]" .. v.Name,200,18,18,"left")
            else
                scrollElement:AddImage(0,0,"HueSwatch",250,20,"Simple","450045") 
                scrollElement:AddLabel(5,3,"[A5A545]" .. v.Name,200,18,18,"left")
            end
            scrollElement:AddButton(2,2,"PickedEffecthHitEffect|"..v.Name, "", 196, 16,"select [CCCC44]" .. v.Name .. "[FFFFFF] as your hit effect","",true, "Invisible")
            scrollWindow:Add(scrollElement)
            scrollElement = ScrollElement()
        end
        self.EffectPickerDynamicWindow:AddScrollWindow(scrollWindow)
        self.ParentObj:OpenDynamicWindow(self.EffectPickerDynamicWindow) 
    end,
    ShowBonePickerWindow = function(self,root)
        self.EffectPickerDynamicWindow = DynamicWindow("PickerWindow","Bone Picker",300,280,-150,-140,"Parchment","Center")
        local scrollWindow = ScrollWindow(2,2,270,220,20)        
        local scrollElement = ScrollElement()
        local rotateColor = true
        for k,v in pairs(self.BoneList) do
            rotateColor = not rotateColor
            if(rotateColor) then 
                scrollElement:AddImage(0,0,"HueSwatch",250,20,"Simple","250025") 
                scrollElement:AddLabel(5,3,"[A5A545]" .. v.Name,200,18,18,"left")
            else
                scrollElement:AddImage(0,0,"HueSwatch",250,20,"Simple","450045") 
                scrollElement:AddLabel(5,3,"[A5A545]" .. v.Name,200,18,18,"left")
            end
            scrollElement:AddButton(2,2,"PickedBone|"..v.Name, "", 196, 16,"select [CCCC44]" .. v.Name .. "[FFFFFF] as the bone to launch your projectile from","",true, "Invisible")
            scrollWindow:Add(scrollElement)
            scrollElement = ScrollElement()
        end
        self.EffectPickerDynamicWindow:AddScrollWindow(scrollWindow)
        self.ParentObj:OpenDynamicWindow(self.EffectPickerDynamicWindow) 
    end,        
    HandleEffectPickerWindow = function( user, buttonId, self, root )
        local args = StringSplit(buttonId, "|")
        local button = args[1]
        if(button == "PickedLaunchEffect") then
            self.SelectedEffect = args[2]
            self.ShowSpellLauncherWindow(self,root)
        end
        if(button == "PickedEffecthHitEffect") then
            self.SelectedSpellHitEffect = args[2]
            self.ShowSpellLauncherWindow(self,root)
        end
        if(button == "PickedBone") then
            self.SelectedBone = args[2]
            self.ShowSpellLauncherWindow(self,root)
        end
    end,
    HandleSpellLauncherWindow = function( user, buttonId, self, root )
        if(buttonId == nil or buttonId == "" or self.ParentObj ~= user) then 
            EndMobileEffect(root)
            return
        end
        if(buttonId == "SelectATarget") then
            user:SystemMessage("select a target to throw things at","info")
            self.ParentObj:RequestClientTargetGameObj(self.ParentObj, "select_a_target")
            return
        end
        if(buttonId == "LaunchEffect") then
            self.DoProjectileSpellEffects(self,root)
            return
        end
        if(buttonId == "OpenLaunchEffectPicker") then
            user:SystemMessage("select a launch effect from the list","info")
            self.ShowLaunchEffectPickerWindow(self, root)
        end
        if(buttonId == "OpenHitEffectPicker") then
            user:SystemMessage("select a on hit effect from the list","info")
            self.ShowLaunchHitEffectPickerWindow(self,root)
        end
        if(buttonId == "OpenBonePicker") then
            user:SystemMessage("select a bone area to cast from","info")
            self.ShowBonePickerWindow(self,root)
        end       
    end,
    HandleClientTargetGameObjectResponse = function(target,user,self,root)
        if(target:IsMobile()) then
            self.Target = target
            self.ShowSpellLauncherWindow(self, root)
        end
    end,
    DoProjectileSpellEffects = function(self,root)
        self.ShowSpellLauncherWindow(self,root)
        local overrideRate = 10
        local timer = (self.ParentObj:DistanceFrom(self.Target) - .5) / overrideRate
        local spellTime = timer * 1000
        self.ParentObj:PlayProjectileEffectTo(self.SelectedEffect,self.Target,overrideRate,timer,"Bone="..self.SelectedBone)
        CallFunctionDelayed(TimeSpan.FromMilliseconds(spellTime), function()
            self.Target:PlayEffect(self.SelectedSpellHitEffect,1.5)
        end)    
    end,    
}

