MobileEffectLibrary.TributeSpawner = 
{
    TributeSpawnerObject = nil,
    DynamicWindow = nil,
    OnEnterState = function(self,root,target,args)
        self.TributeSpawnerObject = target
        if(self.TributeSpawnerObject) then
            if not(self.TributeSpawnerObject:GetObjVar("AllTributePaid")) then
                self.ShowTributeWindow(self, root)
                RegisterEventHandler(EventType.DynamicWindowResponse, "TributeSpawnerWindow",function( user, id )
                    self.HandleTributeResponse( user, id, self, root )
                end)
            else
                self.ParentObj:SystemMessage("nothing happens when you examine this")
                self.HandleTributePaid(self,root)
            end
        end
	end,
    HandleTributePaid = function(self,root)
        EndMobileEffect(root)
    end,
    OnExitState = function(self,root)
        UnregisterEventHandler("",EventType.DynamicWindowResponse,"TributeSpawnerWindow")
    end,
    ShowTributeWindow = function(self, root)
        local tributeKey = self.TributeSpawnerObject:GetObjVar("TributeTableKey")
        local xLoc = -68
        local flavorText = TributeSpawns[tributeKey].DynamicWindow.FlavorText or ""
        
        self.DynamicWindow = DynamicWindow("TributeSpawnerWindow","Pay Tribute",600,270,-300,-135,"Parchment","Center")
        
        self.DynamicWindow:AddImage(2,2,"HueSwatch",576,136,"Simple","453525")        
        self.DynamicWindow:AddImage(0,0,"BasicWindow_BG_thin_transparent",580,140,"Sliced")
        self.DynamicWindow:AddLabel(10,10,"[EEDDCC]" .. flavorText .. "[-]",560,140,28,"left",false,false,"Kingthings_Dynamic")

        for key,value in pairs(TributeSpawns[tributeKey].RequiredTributeObjects) do
            xLoc = xLoc + 72  
            local toolTip = value.NotPlacedTooltip
            local iconBorderColor = "BB3300"
            local isTributeCollected = false
            local iconColor = "550000"
            for tableKey,tableValue in pairs(self.TributeSpawnerObject:GetObjVar("TributeTable")) do
                if(key == tableValue[1] and tableValue[2] == true) then 
                    toolTip = value.PlacedTooltip
                    iconBorderColor = "33BB33"
                    iconColor = "007700"
                    isTributeCollected = true 
                end
            end
            self.DynamicWindow:AddImage(xLoc,150,"restore",62,62,"Simple",iconColor)
            self.DynamicWindow:AddImage(xLoc,150,"BasicWindow_BG_thin_transparent",64,64,"Sliced",iconBorderColor)
            if(isTributeCollected == false) then
                self.DynamicWindow:AddButton(xLoc,150,"TributeClicked|","",64,64,"[CCCC33]Something is Missing[-]\n[FFFFFF]" .. toolTip .. "[-]","",false,"Invisible")
            else
                self.DynamicWindow:AddButton(xLoc,150,"NIL|","",64,64,"[CCCC33]Tribute Accepted[-]\n[FFFFFF]" .. toolTip .. "[-]","",false,"Invisible")
            end
        end
        self.ParentObj:OpenDynamicWindow(self.DynamicWindow)
    end,
    HandleTributeResponse = function( user, buttonId, self, root )
        local cursorItemHeld = self.ParentObj:CarriedObject()    
        if(buttonId == nil or buttonId == "" or self.ParentObj ~= user) then 
            EndMobileEffect(root)
            return
        end
        if( cursorItemHeld ) then
            self.TributeSpawnerObject:SendMessage("DroppedItem",self.ParentObj, cursorItemHeld)
        end
        if not(self.TributeSpawnerObject:GetObjVar("AllTributePaid")) then
            self.ShowTributeWindow(self,root)
        else
            EndMobileEffect(root)
        end
    end,
}