-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- secondary weapon ability for the water staff
-- does 2%-4% life damage and causes a -10% hit chance/defend chance
MobileEffectLibrary.BlurVision = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = WeaponAbilitiesDurations.PlayerLong,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		if ( self.Target:IsPlayer() ) then
			AddBuffIcon(self.Target, "BlurVision", "[44CCFF]Blur Vision[-]", "Soothing Water", "Your Stunned.")
			self.Duration = args.PlayerDuration or WeaponAbilitiesDurations.PlayerNormal
		else
			self.Duration = args.Duration or WeaponAbilitiesDurations.MobileNormal
		end
		SetMobileMod(target, "MoveSpeedPlus", "BlurVision", -0.25)	
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		if ( self.Target:IsPlayer() ) then
			RemoveBuffIcon(self.Target, "BlurVision")
		end
		SetMobileMod(self.ParentObj, "MoveSpeedPlus", "BlurVision", nil)
	end,	
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		--self.Target:PlayEffectWithArgs("FireballExplosionEffect",1.8,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[44CCFF]" .. self.Caster:GetName() .. "\'s weapon flashes...")
		end
		if (self.Caster:IsPlayer()) then
			self.Caster:SystemMessage("[44CCFF]you speak Caecus as your staff sprays acid in " .. self.Target:GetName() .. " eyes...")
		end
	end,
}