-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- secondary weapon ability for the fire staff
-- causes your target to take 15% more magic damage
MobileEffectLibrary.Brand = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = WeaponAbilitiesDurations.PlayerLong,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		if ( self.Target:IsPlayer() ) then
			AddBuffIcon(self.Target, "Brand", "[FF9922]Brand[-]", "Ball Lightning 02", "Your Stunned.")
			self.Duration = args.PlayerDuration or WeaponAbilitiesDurations.PlayerNormal
		else
			self.Duration = args.Duration or WeaponAbilitiesDurations.MobileNormal
		end
		SetMobileMod(target, "MoveSpeedPlus", "Brand", -0.25)	
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		if ( self.Target:IsPlayer() ) then
			RemoveBuffIcon(self.Target, "Brand")
		end
		SetMobileMod(self.ParentObj, "MoveSpeedPlus", "Brand", nil)
	end,	
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		--self.Target:PlayEffectWithArgs("FireballExplosionEffect",1.8,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[FF9922]" .. self.Caster:GetName() .. "\'s weapon flashes...")
		end
		if (self.Caster:IsPlayer()) then
			self.Caster:SystemMessage("[FF9922]you speak Notam as your staff cracks burns an arcane mark upon " .. self.Target:GetName())
		end
	end,
}