-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- primary weapon ability for the fire staff
-- does 5-36 damage based on fire magic skill level
MobileEffectLibrary.Scorch = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	BaseDamage = 36,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj	
		self.BaseDamage = math.floor((GetSkillLevel(self.Caster,"FireMagic")/100) * self.BaseDamage)
		if(self.BaseDamage < 5) then self.BaseDamage = 5 end
		self.Target:SendMessage("DamageInflicted",self.Caster,self.BaseDamage,"MAGIC",false,false,false,self.Caster)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Target:PlayEffectWithArgs("FireballExplosionEffect",1.8,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[FF9922]" .. self.Caster:GetName() .. "\'s weapon flashes, burning your skin...")
		end
		if (self.Caster:IsPlayer()) then
			self.Caster:SystemMessage("[FF9922]you speak Adurere as your staff scorches " .. self.Target:GetName() .. " for " .. self.BaseDamage .. " damage.")
		end
	end,
}