-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- primary weapon ability for the air staff
-- does 5-30 magic damage based on air magic skill level
MobileEffectLibrary.Shock = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	BaseDamage = 30,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj	
		self.BaseDamage = math.floor((GetSkillLevel(self.Caster,"AirMagic")/100) * self.BaseDamage)
		if(self.BaseDamage < 5) then self.BaseDamage = 5 end
		self.Target:SendMessage("DamageInflicted",self.Caster,self.BaseDamage,"MAGIC",false,false,false,self.Caster)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		--self.Target:PlayEffectWithArgs("FireballExplosionEffect",1.8,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[88BBFF]" .. self.Caster:GetName() .. "\'s weapon zaps you, shocking you...")
		end
		if (self.Caster:IsPlayer()) then
			self.Caster:SystemMessage("[88BBFF]you speak Concussa as your staff jolts " .. self.Target:GetName() .. " for " .. self.BaseDamage .. " damage.")
		end
	end,
}