-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- secondary weapon ability for the air staff
-- slows the target down by -0.25 for 2 seconds
MobileEffectLibrary.Windswept = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = WeaponAbilitiesDurations.PlayerLong,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		if ( self.Target:IsPlayer() ) then
			AddBuffIcon(self.Target, "Windswept", "[88BBFF]Windswept[-]", "Lightning Reflexes", "You move slower.")
			self.Duration = args.PlayerDuration or WeaponAbilitiesDurations.PlayerNormal
		else
			self.Duration = args.Duration or WeaponAbilitiesDurations.MobileNormal
		end
		SetMobileMod(target, "MoveSpeedPlus", "Windswept", -0.25)	
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		if ( self.Target:IsPlayer() ) then
			RemoveBuffIcon(self.Target, "Windswept")
		end
		SetMobileMod(self.ParentObj, "MoveSpeedPlus", "Windswept", nil)
	end,	
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		--self.Target:PlayEffectWithArgs("FireballExplosionEffect",1.8,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[88BBFF]" .. self.Caster:GetName() .. "\'s weapon flashes...")
		end
		if (self.Caster:IsPlayer()) then
			self.Caster:SystemMessage("[88BBFF]you speak Ventosus as your staff creates wind chains at " .. self.Target:GetName() .. " feet.")
		end
	end,
}