require 'default:globals.static_data.equipmentstats'


---------------------------------------------------------
-- BASE WEAPON CLASS
---------------------------------------------------------
-- STAVES
EquipmentStats.BaseWeaponClass.AirMagicStaff = 
{
	DisplayName = "[88BBFF]Air Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "AirMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
	TwoHandedWeapon = true,
}

EquipmentStats.BaseWeaponClass.EarthMagicStaff = 
{
	DisplayName = "[FFBB88]Earth Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "EarthMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
	TwoHandedWeapon = true,
}

EquipmentStats.BaseWeaponClass.FireMagicStaff = 
{
	DisplayName = "[FF9922]Fire Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "FireMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
	TwoHandedWeapon = true,
}

EquipmentStats.BaseWeaponClass.WaterMagicStaff = 
{
	DisplayName = "[44CCFF]Water Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "WaterMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
	TwoHandedWeapon = true,
}

-- WANDS
EquipmentStats.BaseWeaponClass.AirMagicWand = 
{
	DisplayName = "[88BBFF]Air Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "AirMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
}

EquipmentStats.BaseWeaponClass.EarthMagicWand = 
{
	DisplayName = "[FFBB88]Earth Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "EarthMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
}

EquipmentStats.BaseWeaponClass.FireMagicWand = 
{
	DisplayName = "[FF9922]Fire Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "FireMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
}

EquipmentStats.BaseWeaponClass.WaterMagicWand = 
{
	DisplayName = "[44CCFF]Water Magic[-]",
	Accuracy = 0,
	Critical = 0,
	WeaponSkill = "WaterMagic",
	WeaponSkillGainsDisabled = true,
	WeaponDamageType = "Bashing",
	WeaponHitType = "Melee",
}

---------------------------------------------------------
-- BASE WEAPON STATS
---------------------------------------------------------
-- STAVES
EquipmentStats.BaseWeaponStats.AirStaffA = 
{
	WeaponClass = "AirMagicStaff",
	Variance = 0.2,
	Attack = 18,
	MinSkill = 0,
	Speed = 2.75,
	PrimaryAbility = "Shock", -- DONE
	SecondaryAbility = "Windswept", -- DONE
	TwoHandedWeapon = true,
	SFXDir = "staff",
	delaySeconds = 0.15,
}

EquipmentStats.BaseWeaponStats.EarthStaffA = 
{
	WeaponClass = "EarthMagicStaff",
	Variance = 0.2,
	Attack = 18,
	MinSkill = 0,
	Speed = 2.75,
	PrimaryAbility = "Pummel", -- DONE
	SecondaryAbility = "SkullCrack", 	-- DONE     
	TwoHandedWeapon = true,
	SFXDir = "staff",
	delaySeconds = 0.15,
}

EquipmentStats.BaseWeaponStats.FireStaffA = 
{
	WeaponClass = "FireMagicStaff",
	Variance = 0.2,
	Attack = 18,
	MinSkill = 0,
	Speed = 2.75,
	PrimaryAbility = "Scorch", -- DONE
	SecondaryAbility = "Brand", -- DONE
	TwoHandedWeapon = true,
	SFXDir = "staff",
	delaySeconds = 0.15,
}

EquipmentStats.BaseWeaponStats.WaterStaffA = 
{
	WeaponClass = "WaterMagicStaff",
	Variance = 0.2,
	Attack = 18,
	MinSkill = 0,
	Speed = 2.75,
	PrimaryAbility = "ChillingStrike",  -- DONE
	SecondaryAbility = "BlurVision", -- DONE
	TwoHandedWeapon = true,
	SFXDir = "staff",
	delaySeconds = 0.15,
}


-- WANDS
EquipmentStats.BaseWeaponStats.AirWandA = 
{
	WeaponClass = "AirMagicWand",
	Variance = 0.1,
	Attack = 8,
	MinSkill = 0,
	Speed = 1.25,
	PrimaryAbility = "Overpower",
	SecondaryAbility = "FollowThrough",
	SFXDir = "staff",
	delaySeconds = 0.15,
}

EquipmentStats.BaseWeaponStats.EarthWandA = 
{
	WeaponClass = "EarthMagicWand",
	Variance = 0.1,
	Attack = 8,
	MinSkill = 0,
	Speed = 1.25,
	PrimaryAbility = "Overpower",
	SecondaryAbility = "FollowThrough",
	SFXDir = "staff",
	delaySeconds = 0.15,
}

EquipmentStats.BaseWeaponStats.FireWandA = 
{
	WeaponClass = "FireMagicWand",
	Variance = 0.1,
	Attack = 8,
	MinSkill = 0,
	Speed = 1.25,
	PrimaryAbility = "Overpower",
	SecondaryAbility = "FollowThrough",
	SFXDir = "staff",
	delaySeconds = 0.15,
}

EquipmentStats.BaseWeaponStats.WaterWandA = 
{
	WeaponClass = "WaterMagicWand",
	Variance = 0.1,
	Attack = 8,
	MinSkill = 0,
	Speed = 1.25,
	PrimaryAbility = "Overpower",
	SecondaryAbility = "FollowThrough",
	SFXDir = "staff",
	delaySeconds = 0.15,
}

