require 'default:globals.static_data.essences'
---------------------------------------------------------
-- ESSENCE DATA RULES
---------------------------------------------------------
-- we treat these tables like rules

---------------------------------------------------------
-- MANA REGENERATION - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.ManaRegenPlate = 
{
    Name = "Mana Regen Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 0.03, Tooltip = "Mana Regen I" },
        { Max = 0.06, Tooltip = "Mana Regen II" },
        { Max = 0.09, Tooltip = "Mana Regen III" },
        { Max = 0.12, Tooltip = "Mana Regen IV" },
        { Max = 0.15, Tooltip = "Mana Regen V" },
    },    
    EffectRangeMax = 0.15,
}

---------------------------------------------------------
-- MANA BONUS - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.ManaBonusPlate = 
{
    Name = "Mana Bonus Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MaxManaPlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Mana I" },
        { Max = 4, Tooltip = "Mana II" },
        { Max = 7, Tooltip = "Mana III" },
        { Max = 10, Tooltip = "Mana IV" },
        { Max = 13, Tooltip = "Mana V" },
    },    
    EffectRangeMax = 15,
}

---------------------------------------------------------
-- STAMINA REGENERATION - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.StaminaRegenPlate = 
{
    Name = "Stamina Regen Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "StaminaRegenPlus",
    TooltipRanges = 
    {
        { Max = 0.05, Tooltip = "Stamina Regen I" },
        { Max = 0.10, Tooltip = "Stamina Regen II" },
        { Max = 0.15, Tooltip = "Stamina Regen III" },
        { Max = 0.20, Tooltip = "Stamina Regen IV" },
        { Max = 0.25, Tooltip = "Stamina Regen V" },
    },    
    EffectRangeMax = 0.30,
}

---------------------------------------------------------
-- STAMINA BONUS - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.StaminaBonusPlate = 
{
    Name = "Stamina Bonus Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MaxStaminaPlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Stamina I" },
        { Max = 4, Tooltip = "Stamina II" },
        { Max = 7, Tooltip = "Stamina III" },
        { Max = 10, Tooltip = "Stamina IV" },
        { Max = 13, Tooltip = "Stamina V" },
    },    
    EffectRangeMax = 15,
}

---------------------------------------------------------
-- HEALTH REGENERATION - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.HealthRegenPlate = 
{
    Name = "Health Regen Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "HealthRegenPlus",
    TooltipRanges = 
    {
        { Max = 0.05, Tooltip = "Health Regen I" },
        { Max = 0.10, Tooltip = "Health Regen II" },
        { Max = 0.15, Tooltip = "Health Regen III" },
        { Max = 0.20, Tooltip = "Health Regen IV" },
        { Max = 0.25, Tooltip = "Health Regen V" },
    },    
    EffectRangeMax = 0.30,
}

---------------------------------------------------------
-- HEALTH BONUS - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.HealthBonusPlate = 
{
    Name = "Health Bonus Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MaxHealthPlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Health I" },
        { Max = 4, Tooltip = "Health II" },
        { Max = 7, Tooltip = "Health III" },
        { Max = 10, Tooltip = "Health IV" },
        { Max = 13, Tooltip = "Health V" },
    },    
    EffectRangeMax = 15,
}

---------------------------------------------------------
-- DEFENSE CHANCE - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.DefenseChancePlate = 
{
    Name = "Defense Chance Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "DefenseChancePlus",
    TooltipRanges = 
    {
        { Max = 0.05, Tooltip = "Defense Chance I" },
        { Max = 0.10, Tooltip = "Defense Chance II" },
        { Max = 0.15, Tooltip = "Defense Chance III" },
        { Max = 0.20, Tooltip = "Defense Chance IV" },
        { Max = 0.25, Tooltip = "Defense Chance V" },
    },    
    EffectRangeMax = 0.30,
}

---------------------------------------------------------
-- DEFENSE BONUS - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.DefenseBonusPlate = 
{
    Name = "Defense Bonus Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "DefensePlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Defense I" },
        { Max = 3, Tooltip = "Defense II" },
        { Max = 5, Tooltip = "Defense III" },
        { Max = 7, Tooltip = "Defense IV" },
        { Max = 9, Tooltip = "Defense V" },
    },    
    EffectRangeMax = 10,
}

---------------------------------------------------------
-- HASTE PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.HastePlate = 
{
    Name = "Haste Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MoveSpeedPlus",
    TooltipRanges = 
    {
        { Max = 0.02, Tooltip = "Haste I" },
        { Max = 0.04, Tooltip = "Haste II" },
        { Max = 0.06, Tooltip = "Haste III" },
        { Max = 0.08, Tooltip = "Haste IV" },
        { Max = 0.10, Tooltip = "Haste V" },
    },    
    EffectRangeMax = 0.12,
}

---------------------------------------------------------
-- HIT CHANCE - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.HitChancePlate = 
{
    Name = "Hit Chance Plate",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "HitChancePlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Hit Chance I" },
        { Max = 3, Tooltip = "Hit Chance II" },
        { Max = 5, Tooltip = "Hit Chance III" },
        { Max = 7, Tooltip = "Hit Chance IV" },
        { Max = 9, Tooltip = "Hit Chance V" },
    },    
    EffectRangeMax = 10,
}

---------------------------------------------------------
-- MANA REGENERATION - CLOTH
-- Version 1.0
---------------------------------------------------------
EssenceData.ManaRegenCloth = 
{
    Name = "Mana Regen Cloth",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 0.05, Tooltip = "Mana Regen I" },
        { Max = 0.10, Tooltip = "Mana Regen II" },
        { Max = 0.15, Tooltip = "Mana Regen III" },
        { Max = 0.20, Tooltip = "Mana Regen IV" },
        { Max = 0.25, Tooltip = "Mana Regen V" },
    },    
    EffectRangeMax = 0.3,
}

---------------------------------------------------------
-- MANA BONUS - CLOTH
-- Version 1.0
---------------------------------------------------------
EssenceData.ManaBonusCloth = 
{
    Name = "Mana Bonus Cloth",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MaxManaPlus",
    TooltipRanges = 
    {
        { Max = 4, Tooltip = "Mana I" },
        { Max = 7, Tooltip = "Mana II" },
        { Max = 10, Tooltip = "Mana III" },
        { Max = 13, Tooltip = "Mana IV" },
        { Max = 16, Tooltip = "Mana V" },
    },    
    EffectRangeMax = 19,
}

---------------------------------------------------------
-- STAMINA REGENERATION - CLOTH
-- Version 1.0
---------------------------------------------------------
EssenceData.StaminaRegenCloth = 
{
    Name = "Stamina Regen Cloth",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "StaminaRegenPlus",
    TooltipRanges = 
    {
        { Max = 0.04, Tooltip = "Stamina Regen I" },
        { Max = 0.08, Tooltip = "Stamina Regen II" },
        { Max = 0.12, Tooltip = "Stamina Regen III" },
        { Max = 0.16, Tooltip = "Stamina Regen IV" },
        { Max = 0.20, Tooltip = "Stamina Regen V" },
    },    
    EffectRangeMax = 0.24,
}

---------------------------------------------------------
-- STAMINA BONUS - CLOTH
-- Version 1.0
---------------------------------------------------------
EssenceData.StaminaBonusCloth = 
{
    Name = "Stamina Bonus Cloth",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MaxStaminaPlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Stamina I" },
        { Max = 3, Tooltip = "Stamina II" },
        { Max = 5, Tooltip = "Stamina III" },
        { Max = 7, Tooltip = "Stamina IV" },
        { Max = 9, Tooltip = "Stamina V" },
    },    
    EffectRangeMax = 11,
}

---------------------------------------------------------
-- HEALTH REGENERATION - CLOTH
-- Version 1.0
---------------------------------------------------------
EssenceData.HealthRegenCloth = 
{
    Name = "Health Regen Cloth",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "HealthRegenPlus",
    TooltipRanges = 
    {
        { Max = 0.03, Tooltip = "Health Regen I" },
        { Max = 0.06, Tooltip = "Health Regen II" },
        { Max = 0.09, Tooltip = "Health Regen III" },
        { Max = 0.12, Tooltip = "Health Regen IV" },
        { Max = 0.15, Tooltip = "Health Regen V" },
    },    
    EffectRangeMax = 0.18,
}

---------------------------------------------------------
-- HEALTH BONUS - CLOTH
-- Version 1.0
---------------------------------------------------------
EssenceData.HealthBonusCloth = 
{
    Name = "Health Bonus Cloth",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "MaxHealthPlus",
    TooltipRanges = 
    {
        { Max = 1, Tooltip = "Health I" },
        { Max = 3, Tooltip = "Health II" },
        { Max = 5, Tooltip = "Health III" },
        { Max = 7, Tooltip = "Health IV" },
        { Max = 9, Tooltip = "Health V" },
    },    
    EffectRangeMax = 11,
}



---------------------------------------------------------
-- MANA REGENERATION - PLATE
-- Version 1.0
---------------------------------------------------------
EssenceData.CameraAnglePlus = 
{
    Name = "WhoCares",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 4, Tooltip = "Camera Angle Changed by 4%" },
        { Max = 8, Tooltip = "Camera Angle Changed by 8%" },
        { Max = 12, Tooltip = "Camera Angle Changed by 12%" },
        { Max = 16, Tooltip = "Camera Angle Changed by 16%" },
        { Max = 20, Tooltip = "Camera Angle Changed by 20%" },
    },    
    EffectRangeMax = 20,
}

EssenceData.CameraAngleXPosition = 
{
    Name = "WhoCares",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 4, Tooltip = "Camera X Position Changed by 4%" },
        { Max = 8, Tooltip = "Camera X Position Changed by 8%" },
        { Max = 12, Tooltip = "Camera X Position Changed by 12%" },
        { Max = 16, Tooltip = "Camera X Position Changed by 16%" },
        { Max = 20, Tooltip = "Camera X Position Changed by 20%" },
    },    
    EffectRangeMax = 20,
}

EssenceData.CameraAngleYPosition = 
{
    Name = "WhoCares",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 4, Tooltip = "Camera Y Position Changed by 4%" },
        { Max = 8, Tooltip = "Camera Y Position Changed by 8%" },
        { Max = 12, Tooltip = "Camera Y Position Changed by 12%" },
        { Max = 16, Tooltip = "Camera Y Position Changed by 16%" },
        { Max = 20, Tooltip = "Camera Y Position Changed by 20%" },
    },    
    EffectRangeMax = 20,
}

EssenceData.CameraAngleZPosition = 
{
    Name = "WhoCares",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 4, Tooltip = "Camera Z Position Changed by 4%" },
        { Max = 8, Tooltip = "Camera Z Position Changed by 8%" },
        { Max = 12, Tooltip = "Camera Z Position Changed by 12%" },
        { Max = 16, Tooltip = "Camera Z Position Changed by 16%" },
        { Max = 20, Tooltip = "Camera Z Position Changed by 20%" },
    },    
    EffectRangeMax = 20,
}

EssenceData.CameraChoice = 
{
    Name = "WhoCares",
    Effect = "mobilemod",
    EffectMode = "plus",
    MobileMod = "ManaRegenPlus",
    TooltipRanges = 
    {
        { Max = 5, Tooltip = "Camera: Iso" },
        { Max = 6, Tooltip = "Camera: 3D" },
    },    
    EffectRangeMax = 10,
}