---------------------------------------------------------
-- AIR ELEMENTAL
-- Version 1.0
---------------------------------------------------------
-- summons forth an air elemental
---------------------------------------------------------
SpellData.AllSpells.AirElemental = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.SummoningLong,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.SummoningHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Aer Elementalis",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Lightning Nova",
	SpellDisplayName = "Air Elemental",	
	SpellTooltipString = "[5565FF][b]<[ Air Elemental ]>[/b]\n\n[A9A9A9]Summon Minion\n\n[EEEE88][i]\"Summons a air elemental companion to aid you.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "AirElemental",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- AIR MEPHIT
-- Version 1.0
---------------------------------------------------------
-- summon forth an air mephit
---------------------------------------------------------
SpellData.AllSpells.AirMephit = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.SummoningNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.SummoningNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Aer Diaboli",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Summon Raven 03",
	SpellDisplayName = "Air Mephit",	
	SpellTooltipString = "[5565FF][b]<[ Air Mephit ]>[/b]\n\n[A9A9A9]Summon Minion\n\n[EEEE88][i]\"Summons a air mephit companion to aid you.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "AirMephit",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- BIND SOUL
-- Version 1.0
---------------------------------------------------------
-- binds your soul to your current location
---------------------------------------------------------
SpellData.AllSpells.BindSoul = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffLong,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.BuffLong,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Ligare Anima",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Illuminate",
	SpellDisplayName = "Bind Soul",	
	SpellTooltipString = "[5565FF][b]<[ Bind Soul ]>[/b]\n\n[A9A9A9]Target Self\n\n[EEEE88][i]\"Binds your soul to the current location.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "BindSoul",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- DIMENSIONAL DOOR
-- Version 1.0
---------------------------------------------------------
-- opens a one way portal to your bind location
---------------------------------------------------------
SpellData.AllSpells.DimensionalDoor = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.Portal,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.Portal,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Dimensio Ianua",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "bindtoportal",
	SpellDisplayName = "Dimensional Door",	
	SpellTooltipString = "[5565FF][b]<[ Dimensional Door ]>[/b]\n\n[A9A9A9]Target Self\n\n[EEEE88][i]\"Opens a one way portal to your current bind location.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "DimensionalDoor",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- FORCE SHIELD
-- Version 1.0
---------------------------------------------------------
-- slash,pierce,bash,bow damage reduction
---------------------------------------------------------
SpellData.AllSpells.ForceShield = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffInstant,
	SkillTier = SpellData.SpellSkillMinMax.Tier2,
	manaCost = SpellData.SpellManaCost.BuffShort,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Vi Scutum",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Shock Wave",
	SpellDisplayName = "Force Shield",	
	SpellTooltipString = "[5565FF][b]<[ Force Shield ]>[/b]\n\n[A9A9A9]Single Target Buff\n\n[EEEE88][i]\"Protect your target from the physical realm.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "ForceShield",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- INVISIBILITY
-- Version 1.0
---------------------------------------------------------
-- opens a one way portal to your bind location
---------------------------------------------------------
SpellData.AllSpells.Invisibility = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.Utility,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.Portal,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Et Invisibilia",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "cloak",
	SpellDisplayName = "Invisibility",	
	SpellTooltipString = "[5565FF][b]<[ Invisibility ]>[/b]\n\n[A9A9A9]Target Self\n\n[EEEE88][i]\"Turns you invisible.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "Invisibility",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- LIGHTNING BOLT
-- Version 1.0
---------------------------------------------------------
-- strikes the target with a bolt of lightning
---------------------------------------------------------
SpellData.AllSpells.LightningBolt = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.DamageNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Amplificare Damnum",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Lightning Bolt",
	SpellDisplayName = "Lightning Bolt",	
	SpellTooltipString = "[5565FF][b]<[ Lightning Bolt ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Strike your target with a powerful lightning bolt.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "LightningBolt",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- MAGICAL MISSLE
-- Version 1.0
---------------------------------------------------------
-- fires missiles at the target dealing damage
---------------------------------------------------------
SpellData.AllSpells.MagicalMissile = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageLow,
	SkillTier = SpellData.SpellSkillMinMax.Tier1,
	manaCost = SpellData.SpellManaCost.DamageLow,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Magicis Missilis",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Starfall 01",
	SpellDisplayName = "Magical Missile",	
	SpellTooltipString = "[5565FF][b]<[ Magical Missile ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Send a volley of magical missiles at your target.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------	
	-- Projectile Effects
	-----------------------------------------------------	
	SpellTravelEffect = "ManaMissileEffect",
	SpellTravelEffectArgs = "Bone=R_Hand",
	SpellHitEffect = "ManaMissileExplosionEffect",    
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "MagicalMissile",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}


---------------------------------------------------------
-- STORMCALL
-- Version 1.0
---------------------------------------------------------
-- sexy sweet aoe lightning damage
---------------------------------------------------------
SpellData.AllSpells.StormCall = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.Utility,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.Portal,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Et Invisibilia",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Thunder Storm",
	SpellDisplayName = "Storm Call",	
	SpellTooltipString = "[5565FF][b]<[ Storm Call ]>[/b]\n\n[A9A9A9]Area of Effect Damage\n\n[EEEE88][i]\"Summon the power of a storm to damage surrounding enemies.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "StormCall",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- Velocity
-- Version 1.0
---------------------------------------------------------
-- increases attack speed, movement speed and stam regen
---------------------------------------------------------
SpellData.AllSpells.Velocity = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.DamageNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Air .. "Velocitas",
	SpellType = "BuffTypeSpell",
	Skill = "AirMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "stanceability",
	SpellDisplayName = "Velocity",	
	SpellTooltipString = "[5565FF][b]<[ Velocity ]>[/b]\n\n[A9A9A9]Single Target Buff\n\n[EEEE88][i]\"Empower your target with the fury of the storms.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedAir2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailBlueEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandBlueEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "Velocity",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}