---------------------------------------------------------
-- AMPLIFY DAMAGE
-- Version 1.0
---------------------------------------------------------
-- causes the target to take more physical damage
---------------------------------------------------------
SpellData.AllSpells.AmplifyDamage = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DebuffShort,
	SkillTier = SpellData.SpellSkillMinMax.Tier1,
	manaCost = SpellData.SpellManaCost.DebuffShort,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Amplificare Damnum",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Flame Mark",
	SpellDisplayName = "Amplify Damage",	
	SpellTooltipString = "[FF6555][b]<[ Amplify Damage ]>[/b]\n\n[A9A9A9]Single Target Debuff\n\n[EEEE88][i]\"Curses your target to take more physical damage from attacks.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "AmplifyDamage",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- BONE WARRIOR
-- Version 1.0
---------------------------------------------------------
-- summons a bone warrior to fight by your side
---------------------------------------------------------
SpellData.AllSpells.BoneWarrior = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.SummoningNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.SummoningNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Ossis Bellator",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "reanimateskeleton",
	SpellDisplayName = "Bone Warrior",	
	SpellTooltipString = "[FF6555][b]<[ Bone Warrior ]>[/b]\n\n[A9A9A9]Summon Minion\n\n[EEEE88][i]\"Summons forth a bone warrior to aid you in your fight.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "BoneWarrior",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- CLOAK OF SHADOWS
-- Version 1.0
---------------------------------------------------------
-- less spell damage taken
-- less health
-- more mana
-- more stamina
---------------------------------------------------------
SpellData.AllSpells.CloakOfShadows = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffLong,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.BuffLong,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Pallium Obumbratio",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Phantom",
	SpellDisplayName = "Cloak Of Shadows",	
	SpellTooltipString = "[FF6555][b]<[ Cloak Of Shadows ]>[/b]\n\n[A9A9A9]Self Buff\n\n[EEEE88][i]\"Give up your flesh for more power.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "CloakOfShadows",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- CURSED SOUL 
-- Version 1.0
---------------------------------------------------------
-- makes your target worse at everything
---------------------------------------------------------
SpellData.AllSpells.CursedSoul = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DebuffNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.DebuffNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Maledictus Anima",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "voidblast",
	SpellDisplayName = "Cursed Soul",	
	SpellTooltipString = "[FF6555][b]<[ Curse Soul ]>[/b]\n\n[A9A9A9]Single Target Debuff\n\n[EEEE88][i]\"Curse the very soul of your target by removing their vitality.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "CursedSoul",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- DEMONIC WARD
-- Version 1.0
---------------------------------------------------------
-- gives the target protection from demons
---------------------------------------------------------
SpellData.AllSpells.DemonicWard = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffLong,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.BuffLong,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Daemonium Custodia",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Arcane Shield2",
	SpellDisplayName = "Demonic Ward",	
	SpellTooltipString = "[FF6555][b]<[ Demonic Ward ]>[/b]\n\n[A9A9A9]Single Target Buff\n\n[EEEE88][i]\"Gives your target protection from demons for a short time.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "DemonicWard",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- ENERGY VAMPIRE 
-- Version 1.0
---------------------------------------------------------
-- slowly eats away targets mana and stamina and converts
-- it into life for you.
---------------------------------------------------------
SpellData.AllSpells.EnergyVampire = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DebuffShort,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.DebuffShort,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Maledictus Anima",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Unholy Mastery",
	SpellDisplayName = "Energy Vampire",	
	SpellTooltipString = "[FF6555][b]<[ Energy Vampire ]>[/b]\n\n[A9A9A9]Single Target Debuff\n\n[EEEE88][i]\"Eats away the very effort of your victims, reducing there energy slowly.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "EnergyVampire",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- INFLICT WOUNDS 
-- Version 1.0
---------------------------------------------------------
-- deals damage to non undead non demon targets
---------------------------------------------------------
SpellData.AllSpells.InflictWounds = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageHigh,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.DamageHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Inferre Vulnera",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "transference",
	SpellDisplayName = "Inflict Wounds",	
	SpellTooltipString = "[FF6555][b]<[ Inflict Wounds ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Inflict physical damage upon your target.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "InflictWounds",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- POISON
-- Version 1.0
---------------------------------------------------------
-- poisons your target dealing damage over time
---------------------------------------------------------
SpellData.AllSpells.Poison = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DebuffShort,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.DebuffShort,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Venenum",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Poison Cloud",
	SpellDisplayName = "Poison",	
	SpellTooltipString = "[FF6555][b]<[ Poison ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Poisons your target dealing damage over time.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "Poison",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- RAGING SPIRIT 
-- Version 1.0
---------------------------------------------------------
-- summons a raging spirit that attacks nearby targets
---------------------------------------------------------
SpellData.AllSpells.RagingSpirit = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.SummoningFast,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.SummoningLow,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Furentes Spiritus",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Terrify",
	SpellDisplayName = "Raging Spirit",	
	SpellTooltipString = "[FF6555][b]<[ Raging Spirit ]>[/b]\n\n[A9A9A9]Summon Minion\n\n[EEEE88][i]\"Summons a raging spirit to fight for your for a short while.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "RagingSpirit",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- SOUL BURN 
-- Version 1.0
---------------------------------------------------------
-- deals damage over time to the victim
---------------------------------------------------------
SpellData.AllSpells.SoulBurn = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageHigh,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.DamageHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Anima Ardeat",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "adrenalinerush",
	SpellDisplayName = "Soul Burn",	
	SpellTooltipString = "[FF6555][b]<[ Soul Burn ]>[/b]\n\n[A9A9A9]Single Target Debuff\n\n[EEEE88][i]\"A dark willed intent to burn your targets soul with demonic fire.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "SoulBurn",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}

---------------------------------------------------------
-- WITHERING BLAST
-- Version 1.0
---------------------------------------------------------
-- deals damage to all around you, useless vs undead/demons
---------------------------------------------------------
SpellData.AllSpells.WitheringBlast = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.DamageNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Dark .. "Arescentes Inspiratione",
	SpellType = "BuffTypeSpell",
	Skill = "DarkMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Meteor 03",
	SpellDisplayName = "Withering Blast",	
	SpellTooltipString = "[FF6555][b]<[ Withering Blast ]>[/b]\n\n[A9A9A9]Aoe Damage\n\n[EEEE88][i]\"Channel the darkness within you to cause the flesh of those around you to decay. Causing pain, suffering and confusion to those effected.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "WitheringBlast",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "Moss", },
}