---------------------------------------------------------
-- CAUTERIZE WOUNDS
-- Version 1.0
---------------------------------------------------------
-- removes the poison effect from your target
---------------------------------------------------------
SpellData.AllSpells.CauterizeWounds = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.HealNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier2,
	manaCost = SpellData.SpellManaCost.HealNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Adurendum Vulnera",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Immolation",
	SpellDisplayName = "Cauterize Wounds",	
	SpellTooltipString = "[FF9922][b]<[ Cauterize Wounds ]>[/b]\n\n[A9A9A9]Single Target Heal\n\n[EEEE88][i]\"Burns a tight seal on any bleeding victim.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "CauterizeWounds",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- CHAIN EXPLOSION
-- Version 1.0
---------------------------------------------------------
-- chain reaction blast explosive damage on target 
---------------------------------------------------------
SpellData.AllSpells.ChainExplosion = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageHigh,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.DamageHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Catena Crepitus",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "auraoffire",
	SpellDisplayName = "Chain Explosion",	
	SpellTooltipString = "[FF9922][b]<[ Chain Explosion ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Cause a series of explosive blasts upon your target. \"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "ChainExplosion",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- FIREBALL
-- Version 1.0
---------------------------------------------------------
-- fires a FIREBALL at the target dealing damage
---------------------------------------------------------
SpellData.AllSpells.Fireball = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.DamageNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Augue",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Fireball",
	SpellDisplayName = "Fireball",	
	SpellTooltipString = "[FF9922][b]<[ Fireball ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Hurls a firery ball at your target.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------	
	-- Projectile Effects
	-----------------------------------------------------	
	SpellTravelEffect = "FireballEffect",
	SpellTravelEffectArgs = "Bone=R_Hand",
	SpellHitEffect = "FireballExplosionEffect",    
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "Fireball",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- FIRE ELEMENTAL
-- Version 1.0
---------------------------------------------------------
-- summons forth an fire elemental
---------------------------------------------------------
SpellData.AllSpells.FireElemental = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.SummoningLong,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.SummoningHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Ignis Elementalis",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Fire Mastery",
	SpellDisplayName = "Fire Elemental",	
	SpellTooltipString = "[FF9922][b]<[ Fire Elemental ]>[/b]\n\n[A9A9A9]Summon Minion\n\n[EEEE88][i]\"Summons a fire elemental companion to aid you.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "FireElemental",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- FIRE MEPHIT
-- Version 1.0
---------------------------------------------------------
-- summon forth an fire mephit
---------------------------------------------------------
SpellData.AllSpells.FireMephit = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.SummoningNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.SummoningNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Ignis Diaboli",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Summon Raven 02",
	SpellDisplayName = "Fire Mephit",	
	SpellTooltipString = "[FF9922][b]<[ Fire Mephit ]>[/b]\n\n[A9A9A9]Summon Minion\n\n[EEEE88][i]\"Summons a fire mephit companion to aid you.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "FireMephit",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- FLAMEWHIRL
-- Version 1.0
---------------------------------------------------------
-- fires a puff of fire at the target dealing damage
---------------------------------------------------------
SpellData.AllSpells.FlameWhirl = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageLow,
	SkillTier = SpellData.SpellSkillMinMax.Tier1,
	manaCost = SpellData.SpellManaCost.DamageLow,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Interiore Ignis",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = true,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Flame Whirl",
	SpellDisplayName = "Flame Whirl",	
	SpellTooltipString = "[FF9922][b]<[ Flame Whirl ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Toss a burning ember of fire at your target.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "FireballEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------	
	-- Projectile Effects
	-----------------------------------------------------	
	SpellTravelEffect = "FireHeadEffect",
	SpellTravelEffectArgs = "Bone=L_Hand",
	SpellHitEffect = "FireballEffect",    
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	TargetMobileEffect = "FlameWhirl",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}

---------------------------------------------------------
-- INNER FIRE
-- Version 1.0
---------------------------------------------------------
-- lose life over time, but gain mana back instead
---------------------------------------------------------
SpellData.AllSpells.InnerFire = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.BuffNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Fire .. "Ignis Diaboli",
	SpellType = "BuffTypeSpell",
	Skill = "FireMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Fire Demon",
	SpellDisplayName = "Inner Fire",	
	SpellTooltipString = "[FF9922][b]<[ Inner Fire ]>[/b]\n\n[A9A9A9]Self Buff\n\n[EEEE88][i]\"Burn your flesh for power.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "PrimedFire2",
    SpellPrimeFXArgs = "Bone=Ground",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "InnerFire",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "LemonGrass", },
}