---------------------------------------------------------
-- BLESS 
-- Version 1.0
---------------------------------------------------------
-- grants success chance improvment to the target
---------------------------------------------------------
SpellData.AllSpells.Bless = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier2,
	manaCost = SpellData.SpellManaCost.BuffNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Benedicite",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Healing Hands",
	SpellDisplayName = "Bless",	
	SpellTooltipString = "[CCCC55][b]<[ Bless ]>[/b]\n\n[A9A9A9]Single Target Buff\n\n[EEEE88][i]\"A simple blessing to help inspire your target succeed in everything they do\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "Bless",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- COMMAND
-- Version 1.0
---------------------------------------------------------
-- single target taunt
---------------------------------------------------------
SpellData.AllSpells.Command = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
	CastTime = SpellData.SpellCastTimes.BuffInstant,
	SkillTier = SpellData.SpellSkillMinMax.Tier2,
	manaCost = SpellData.SpellManaCost.BuffNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Mandatum",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Berserker Rage",
	SpellDisplayName = "Command",	
	SpellTooltipString = "[CCCC55][b]<[ Command ]>[/b]\n\n[A9A9A9]Single Target\n\n[EEEE88][i]\"Invoke anger in your enemy, making it want to fight you\"[/i]\n",
	-----------------------------------------------------
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "Command",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}


---------------------------------------------------------
-- CURE WOUNDS 
-- Version 1.0
---------------------------------------------------------
-- heals your target for a small amount
---------------------------------------------------------
SpellData.AllSpells.CureWounds = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.HealLow,
	SkillTier = SpellData.SpellSkillMinMax.Tier1,
	manaCost = SpellData.SpellManaCost.HealLow,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Remedium Vulnere",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "heal",
	SpellDisplayName = "Cure Wounds",	
	SpellTooltipString = "[CCCC55][b]<[ Cure Wounds ]>[/b]\n\n[A9A9A9]Single Target Heal\n\n[EEEE88][i]\"Channel your faith in the light to heal of your target\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "CureWounds",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- DIVINE AEGIS
-- Version 1.0
---------------------------------------------------------
-- self target buff that gives the user a mobile effect
-- granting them extra defense
---------------------------------------------------------
SpellData.AllSpells.DivineAegis = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
	CastTime = SpellData.SpellCastTimes.BuffInstant,
	SkillTier = SpellData.SpellSkillMinMax.Tier1,
	manaCost = SpellData.SpellManaCost.BuffShort,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Divinus Praesidium",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Block",
	SpellDisplayName = "Divine Aegis",	
	SpellTooltipString = "[CCCC55][b]<[ Divine Aegis ]>[/b]\n\n[A9A9A9]Self Only Buff\n\n[EEEE88][i]\"A small prayer to the Gods. Instilling you with the protection of the divine world. Giving you courage to march into darkness\"[/i]\n",
	-----------------------------------------------------
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "DivineAegis",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- DIVINE FURY
-- Version 1.0
---------------------------------------------------------
-- self target buff that gives the user a mobile effect
-- granting them base damage + attack speed
---------------------------------------------------------
SpellData.AllSpells.DivineFury = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
	CastTime = SpellData.SpellCastTimes.BuffInstant,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.BuffShort,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Divinus Furore",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Ignite",
	SpellDisplayName = "Divine Fury",	
	SpellTooltipString = "[CCCC55][b]<[ Divine Fury ]>[/b]\n\n[A9A9A9]Self Only Buff\n\n[EEEE88][i]\"A small prayer to the Gods. Instilling you with the speed and fury of the Gods. Bestowing great power with in you\"[/i]\n",
	-----------------------------------------------------
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "DivineFury",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- HEAL WOUNDS 
-- Version 1.0
---------------------------------------------------------
-- heals your target for a moderate amount
---------------------------------------------------------
SpellData.AllSpells.HealWounds = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.HealHigh,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.HealHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Sana Vulnere",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "restore",
	SpellDisplayName = "Heal Wounds",	
	SpellTooltipString = "[CCCC55][b]<[ Heal Wounds ]>[/b]\n\n[A9A9A9]Single Target Heal\n\n[EEEE88][i]\"Channel your faith in the light to restore the health of your target\"[/i]\n",
	-----------------------------------------------------
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "HealWounds",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- HEALING WORD 
-- Version 1.0
---------------------------------------------------------
-- heal others around you for a little amount
---------------------------------------------------------
SpellData.AllSpells.HealingWord = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.HealNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier4,
	manaCost = SpellData.SpellManaCost.HealNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Sanitatem Verbum",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	SpellEnabled = false,
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Divine Aura 01",
	SpellDisplayName = "Healing Word",	
	SpellTooltipString = "[CCCC55][b]<[ Healing Word ]>[/b]\n\n[A9A9A9]Area of Effect Heal\n\n[EEEE88][i]\"Shout the word of the light, healing nearby allies.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "HealingWord",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- HEROISM 
-- Version 1.0
---------------------------------------------------------
-- grants temporary hit points to the target
---------------------------------------------------------
SpellData.AllSpells.Heroism = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.BuffNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier3,
	manaCost = SpellData.SpellManaCost.BuffNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Virtus",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Holy Shield",
	SpellDisplayName = "Heroism",	
	SpellTooltipString = "[CCCC55][b]<[ Heroism ]>[/b]\n\n[A9A9A9]Single Target Buff\n\n[EEEE88][i]\"A prayer of divine protection that grants temporary hit points to your target\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "Heroism",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- HOLY BLAST 
-- Version 1.0
---------------------------------------------------------
-- does damage in an area to undead and demons
---------------------------------------------------------
SpellData.AllSpells.HolyBlast = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.DamageNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Sanctus Inspiratione",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	TargetRequired = false,
	TargetType = "TargetSelf",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Holy Blast",
	SpellDisplayName = "Holy Blast",	
	SpellTooltipString = "[CCCC55][b]<[ Holy Blast ]>[/b]\n\n[A9A9A9]Area of Effect Damage\n\n[EEEE88][i]\"Send a wave of light energy out around you, dealing damage to all undead and demons.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "HolyBlast",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- NEUTRALIZE POISON 
-- Version 1.0
---------------------------------------------------------
-- removes the poison effect from your target
---------------------------------------------------------
SpellData.AllSpells.NeutralizePoison = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.HealNormal,
	SkillTier = SpellData.SpellSkillMinMax.Tier2,
	manaCost = SpellData.SpellManaCost.HealNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Remedium Venenum",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "regenfocus",
	SpellDisplayName = "Neutralize Poison",	
	SpellTooltipString = "[CCCC55][b]<[ Neutralize Poison ]>[/b]\n\n[A9A9A9]Single Target Heal\n\n[EEEE88][i]\"Expell the poison from your target\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "NeutralizePoison",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- RESURRECTION
---------------------------------------------------------
-- resurrects your target bringing their sould back
---------------------------------------------------------
SpellData.AllSpells.Resurrection = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.HealHigh,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.HealHigh,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Et Resurrectionis Erimus",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "resurrect",
	SpellDisplayName = "Resurrection",	
	SpellTooltipString = "[CCCC55][b]<[ Resurrection ]>[/b]\n\n[A9A9A9]Single Target Dead\n\n[EEEE88][i]\"Chant a prayer to the Gods to bring the bring the targets soul back to this realm\"[/i]\n",

	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "Resurrection",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}

---------------------------------------------------------
-- SMITE 
-- Version 1.0
---------------------------------------------------------
-- damages your target, more damage vs demons and undead
---------------------------------------------------------
SpellData.AllSpells.Smite = 
{
	-----------------------------------------------------
	-- General Spell
	-----------------------------------------------------
 	CanBeInterrupted = true,
	CastTime = SpellData.SpellCastTimes.DamageHigh,
	SkillTier = SpellData.SpellSkillMinMax.Tier5,
	manaCost = SpellData.SpellManaCost.DamageNormal,	
	PowerWords = SpellData.TextColors.PowerWords.Light .. "Percutite",
	SpellType = "BuffTypeSpell",
	Skill = "LightMagic",
	-----------------------------------------------------
	-- Targeting Info
	-----------------------------------------------------
	requireLineOfSight = true,
	TargetRequired = false,
	TargetType = "targetMobile",
	-----------------------------------------------------
	-- Action Button
	-----------------------------------------------------
	Icon = "Imbue Holy",
	SpellDisplayName = "Smite",	
	SpellTooltipString = "[CCCC55][b]<[ Smite ]>[/b]\n\n[A9A9A9]Single Target Damage\n\n[EEEE88][i]\"Smite your target with holy light.\"[/i]\n",
	-----------------------------------------------------	
	-- Casting Effects
	-----------------------------------------------------
	SpellPrimeFXName = "ConjurePrimeYellowEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailYellowEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandYellowEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	-----------------------------------------------------
	-- Mobile Effects
	-----------------------------------------------------
	MobileEffect = "Smite",
	-----------------------------------------------------
	-- Reagents
	-----------------------------------------------------
	Reagents = { "HolyWater", },
}
