TributeSpawns = {}

---------------------------------------------------------
-- HALLS OF CORRUPTION TRIBUTE SPAWN TABLES
---------------------------------------------------------
require 'globals.static_data.tributespawns.lillian_roth'

-- Tribute Spawns requires players to collect and find a given amount of objects and place 
-- them into the tribute altar which can be just about any object.

--- SpawnRange (Min/Max) the minimum to maximum distance to spawn the template from the tribute spawners location

--- Waves table entry
-- *Quantity (table) Min and Max are the minimum to maximum number to spawn
-- *NormalEntries (table) array of spawnable templates
-- *(optional)PlaceHolderChance (number) a value between 0-1
-- *(optional)PladeHolderEntries (table) array of spawnable templates

TributeSpawns.RuinLevel1 =
{	
	SpawnRange = {Min = 2, Max = 4},
	Waves =
	{
		-- wave 1 (Slay Minions)
		{
			Quantity = { Min = 2, Max = 3,},
			NormalEntries = { "tributespawn_ghastly_apparition" },
			PlaceHolderChance = 0.1, -- 10% chance
			PlaceHolderEntries = { "tributespawn_deranged_spirit" },
		},
		-- wave 2 (Slay Minions)
		{
			Quantity = { Min = 3, Max = 4,},
			NormalEntries = { "tributespawn_ghastly_apparition" },
			PlaceHolderChance = 0.125, -- 12.5% chance
			PlaceHolderEntries = { "tributespawn_deranged_spirit" },
		},	
		-- wave 3 (Slay Minions)
		{
			Quantity = { Min = 4, Max = 5,},
			NormalEntries = { "tributespawn_ghastly_apparition" },
			PlaceHolderChance = 0.15, -- 15% chance
			PlaceHolderEntries = { "tributespawn_deranged_spirit" },
		},		
		-- wave 4 (Boss Fight)
		{
			Quantity = { Min = 1, Max = 1,},
			NormalEntries = { "lich_lord_hq" },
			PlaceHolderChance = 0.1, -- 10% chance
			PlaceHolderEntries = { "lich_lord_hq" },
		},			
	},
	-- required template is the key
	RequiredTributeObjects = 
	{
		tribute_item_ghastly_emerald = -- slso the template of the item needed
		{
			EffectWhenPlaced = "ImpactWaveEffect",
			TributeAcceptMessage = "The ghastly emerald snaps in to place.",
			NotPlacedTooltip = "There is a strange marking on the front of the barrel, looks like something fits in the slot, but what?",
			PlacedTooltip = "A shimmering green star shaped crystal lay stuck in this barrel, gazing into it gives you the creeps.",
			SoundWhenPlaced = "event:/monsters/phantom/phantom_death",
		},
		-- add new template key below
	},
	DynamicWindow =
	{
		FlavorText = "This barrel seems strange when you look at it, almost as if something is is watching you back. Perhaps there is some way to interact with this barrel.",
	}
}
