---------------------------------------------------------
-- FileManager Namespace
---------------------------------------------------------
FileManager = {}
FileManager.Helpers = {}
---------------------------------------------------------
-- FileManager.Helpers
---------------------------------------------------------
--- returns true/false if a file exists
-- @param fileName - (String) the file to check if exists
FileManager.Helpers.FileExists = function(fileName)
  local f = io.open(fileName, "rb")
  if f then f:close() end
  return f ~= nil
end

--- returns a table of all lines in the file
-- @param fileName - (String) the file to check if exists
FileManager.Helpers.GetAllLines = function(fileName)
  local lines = {}
  if not FileManager.Helpers.FileExists(fileName) then 
    print("[globals.tools.file_manager.lua]FileManager.Helpers.GetAllLines: string[fileName]" .. fileName .. " does not exists")
    return {} 
  end
  for line in io.lines(fileName) do 
    lines[#lines + 1] = line
  end
  return lines
end




