---------------------------------------------------------
-- ToolHelpers Namespace
---------------------------------------------------------
ToolHelpers = {}
ToolHelpers.GetEffectReferencesTable = function()
  local lines = FileManager.Helpers.GetAllLines('Build/base/EffectReference.txt')  
  local returnTable = {}
  -- print all line numbers and their contents
  for k,v in pairs(lines) do
	   local tableTemp = {}
  	 tableTemp.Name = v
  	 table.insert(returnTable,tableTemp)
  end
  table.sort(returnTable,function (a,b)
    return a.Name < b.Name
  end)
  return returnTable    
end

ToolHelpers.GetBoneLocations = function()
  local bonesTable =
  {
    {Name="Ground"},
    {Name="R_Hand"},
    {Name="Spine2"},
    {Name="L_Hand"},
    {Name="Spine"},
    {Name="Head"},
    {Name="mouth_effect_node"},
    {Name="mouth_R_effect_node_VFX"},
    {Name="mouth_L_effect_node_VFX"},
    {Name="mouth_M_effect_node_VFX"},
    {Name="Bone_Proj_Source"},        
  }
  table.sort(bonesTable,function (a,b)
    return a.Name < b.Name
  end)
  return bonesTable
end