require 'default:incl_magic_sys'

---------------------------------------------------------
-- OVERRIDE
---------------------------------------------------------
-- CastTime (bug fix)
function GetSpellCastTime(spellName, spellSource, scrollObj)
	local castTime = 0
	if ( SpellData.AllSpells[spellName] ) then
		if ( SpellData.AllSpells[spellName].CastTime ) then
			castTime = SpellData.AllSpells[spellName].CastTime
		else
			local circle = GetSpellInformation(spellName, "Circle") or 8
			castTime = SpellData.CastTimes[circle]
		end
	end
	return castTime
end


--- builds the spell user action table
-- @param spell - (table key)(string) the name of the spell being used
function GetSpellUserAction(spell)
	local spellTable = SpellData.AllSpells[spell]
	local actionTable = 
	{
		ID = spell,
		ActionType = "Spell",
		DisplayName = spellTable.DisplayName,
		Tooltip = spellTable.SpellTooltipString,
		Icon = spellTable.Icon,
		IconText = spellTable.DisplayName,
		Enabled = true,
		ServerCommand = "sp "..spell,
		Requirements = {}		
	}
	return actionTable
end	