---------------------------------------------------------
-- COLOR DEFINITIONS TABLE
---------------------------------------------------------
-- color definitions used by the login_player
---------------------------------------------------------
ColorDefinitions =
{
	Black = "000000",
	Text = "AA8844",
	Text2 = "FFCC99",
	TextBackground = "FF7700",
	ButtonBorder = "251505",
	ButtonBackground = "352505",
	ButtonText = "AA8844",
	DividerColor = "FF8844",
	IntroductionIcon = "FF7700",
}

---------------------------------------------------------
-- RACES TABLE
---------------------------------------------------------
-- race definitions used by login player
---------------------------------------------------------
RaceDefinitions = {}
-- TODO: MOVE TO GLOBALS FOR ACCESSING IN OTHER SCRIPTS TO KEEP THINGS UNIFORM
RaceDefinitions.Human =
{
	BodyParts = 
	{
		-- races all have the same head model
		HeadModels = { Male = "head_male02", Female = "head_female02", },
		-- starting hair models
		HairModels = { Male = { "hair_male", }, Female = { "hair_female", }, },
		HairHue = { Male = { 768, 788, 793, }, Female = { 768, 788, 793, }, },
		SkinHue = { Male = { 807, 808, 809, }, Female = { 807, 808, 809, }, }
	},
	Stats = 
	{ 
		Agi = 20, 
		Int = 30, 
		Str = 30, 
		Will = 20, 
		Wis = 10, 
	},
}

---------------------------------------------------------
-- STARTING BUILDS TABLE
---------------------------------------------------------
-- starting character templates used by login player
---------------------------------------------------------
StartingCharacterBuilds = {}


StartingCharacterBuilds.ClericOfTheLight =
{
	-----------------------------------------------------
	DisplayName = 
	-----------------------------------------------------
	"Cleric of the Light",
	-----------------------------------------------------
	Icon = 
	-----------------------------------------------------
	{
		Primary = "Skill_Manifestation",
		Secondary = "Skill_Blocking",
	},
	-----------------------------------------------------
	EnterWorldButtonTooltip = 
	-----------------------------------------------------
	"[FF7700]Let the Light Guide your soul\n",
	-----------------------------------------------------
	Introduction = 
	-----------------------------------------------------
	"Starting Skills\n" ..
	"Combat School: Bashing\n" ..
	"Combat Focus: Blocking\n" ..
	"Magic School: Light\n" ..
	"Magic Focus: Channeling\n" ..
	"Magic Focus: Conservation\n" ..
	"Magic Focus: Enhancement",
	-----------------------------------------------------
	Skills =
	-----------------------------------------------------	
	{		
		{ SkillName = "BashingSkill", StartValue = 100, },
		{ SkillName = "ChannelingSkill", StartValue = 100, },
		{ SkillName = "BlockingSkill", StartValue = 100, },
		{ SkillName = "MagicFocusConservation", StartValue = 100, },
		{ SkillName = "LightMagic", StartValue = 100, },
		{ SkillName = "MagicFocusEnhancement", StartValue = 100, },		
	},
	-----------------------------------------------------
	Template = 
	-----------------------------------------------------
	"starting_template_cleric_of_the_light",
	-----------------------------------------------------	
}

StartingCharacterBuilds.ClericOfTheDark =
{
	-----------------------------------------------------
	DisplayName = 
	-----------------------------------------------------
	"Cleric of the Dark",
	-----------------------------------------------------
	Icon = 
	-----------------------------------------------------
	{
		Primary = "Skill_Necromancy",
		Secondary = "Skill_Blocking",
	},
	-----------------------------------------------------
	EnterWorldButtonTooltip = 
	-----------------------------------------------------
	"[FF7700]Let the Dark power you\n",
	-----------------------------------------------------
	Introduction = 
	-----------------------------------------------------
	"Starting Skills\n" ..
	"Combat School: Bashing\n" ..
	"Magic School: Dark\n" ..
	"Magic Focus: Channeling\n" ..
	"Magic Focus: Conservation\n" ..
	"Magic Focus: Enhancement\n" ..
	"Magic Focus: Summoning",
	-----------------------------------------------------
	Skills =
	-----------------------------------------------------	
	{		
		{ SkillName = "BashingSkill", StartValue = 100, },
		{ SkillName = "ChannelingSkill", StartValue = 100, },
		{ SkillName = "MagicFocusSummoning", StartValue = 100, },
		{ SkillName = "MagicFocusConservation", StartValue = 100, },
		{ SkillName = "DarkMagic", StartValue = 100, },
		{ SkillName = "MagicFocusEnhancement", StartValue = 100, },		
	},
	-----------------------------------------------------
	Template = 
	-----------------------------------------------------
	"starting_template_cleric_of_the_dark",
	-----------------------------------------------------	
}

StartingCharacterBuilds.WarlockOfTheWind =
{
	-----------------------------------------------------
	DisplayName = 
	-----------------------------------------------------
	"Warlock of the Wind",
	-----------------------------------------------------
	Icon = 
	-----------------------------------------------------
	{
		Primary = "Skill_Evocation",
		Secondary = "Skill_Slashing",
	},
	-----------------------------------------------------
	EnterWorldButtonTooltip = 
	-----------------------------------------------------
	"[FF7700]Let the Air take you\n",
	-----------------------------------------------------
	Introduction = 
	-----------------------------------------------------
	"Starting Skills\n" ..
	"Combat School: Slashing\n" ..
	"Magic School: Air\n" ..
	"Magic Focus: Channeling\n" ..
	"Magic Focus: Conservation\n" ..
	"Magic Focus: Enhancement\n" ..
	"Magic Focus: Summoning",
	-----------------------------------------------------
	Skills =
	-----------------------------------------------------	
	{		
		{ SkillName = "SlashingSkill", StartValue = 100, },
		{ SkillName = "ChannelingSkill", StartValue = 100, },
		{ SkillName = "MagicFocusSummoning", StartValue = 100, },
		{ SkillName = "MagicFocusConservation", StartValue = 100, },
		{ SkillName = "DarkMagic", StartValue = 100, },
		{ SkillName = "MagicFocusEnhancement", StartValue = 100, },		
	},
	-----------------------------------------------------
	Template = 
	-----------------------------------------------------
	"starting_template_warlock_of_the_wind",
	-----------------------------------------------------	
}

StartingCharacterBuilds.WarlockOfTheFlame =
{
	-----------------------------------------------------
	DisplayName = 
	-----------------------------------------------------
	"Warlock of the Flame",
	-----------------------------------------------------
	Icon = 
	-----------------------------------------------------
	{
		Primary = "Skill_Sorcerer",
		Secondary = "Skill_Piercing",
	},
	-----------------------------------------------------
	EnterWorldButtonTooltip = 
	-----------------------------------------------------
	"[FF7700]Let the Fire warm you\n",
	-----------------------------------------------------
	Introduction = 
	-----------------------------------------------------
	"Starting Skills\n" ..
	"Combat School: Piercing\n" ..
	"Magic School: Fire\n" ..
	"Magic Focus: Channeling\n" ..
	"Magic Focus: Conservation\n" ..
	"Magic Focus: Enhancement\n" ..
	"Magic Focus: Summoning",
	-----------------------------------------------------
	Skills =
	-----------------------------------------------------	
	{		
		{ SkillName = "PiercingSkill", StartValue = 100, },
		{ SkillName = "ChannelingSkill", StartValue = 100, },
		{ SkillName = "MagicFocusSummoning", StartValue = 100, },
		{ SkillName = "MagicFocusConservation", StartValue = 100, },
		{ SkillName = "DarkMagic", StartValue = 100, },
		{ SkillName = "MagicFocusEnhancement", StartValue = 100, },		
	},
	-----------------------------------------------------
	Template = 
	-----------------------------------------------------
	"starting_template_warlock_of_the_flame",
	-----------------------------------------------------	
}

StartingCharacterBuilds.PaladinOfTheLight =
{
	-----------------------------------------------------
	DisplayName = 
	-----------------------------------------------------
	"Paladin Of The Light",
	-----------------------------------------------------
	Icon = 
	-----------------------------------------------------
	{
		Primary = "Skill_Slashing",
		Secondary = "Skill_Blocking",
	},
	-----------------------------------------------------
	EnterWorldButtonTooltip = 
	-----------------------------------------------------
	"[FF7700]Let the Light guide you\n",
	-----------------------------------------------------
	Introduction = 
	-----------------------------------------------------
	"Starting Skills\n" ..
	"Combat School: Slashing\n" ..
	"Combat Focus: Blocking\n" ..
	"Combat Focus: Tactics\n" ..
	"Magic School: Fire\n" ..
	"Magic Focus: Conservation\n" ..
	"Magic Focus: Enhancement\n",
	-----------------------------------------------------
	Skills =
	-----------------------------------------------------	
	{		
		{ SkillName = "SlashingSkill", StartValue = 100, },
		{ SkillName = "MeleeSkill", StartValue = 100, },
		{ SkillName = "BlockingSkill", StartValue = 100, },
		{ SkillName = "MagicFocusConservation", StartValue = 100, },
		{ SkillName = "LightMagic", StartValue = 100, },
		{ SkillName = "MagicFocusEnhancement", StartValue = 100, },		
	},
	-----------------------------------------------------
	Template = 
	-----------------------------------------------------
	"starting_template_paladin_of_the_light",
	-----------------------------------------------------	
}

StartingCharacterBuilds.PaladinOfTheDark =
{
	-----------------------------------------------------
	DisplayName = 
	-----------------------------------------------------
	"Paladin Of The Dark",
	-----------------------------------------------------
	Icon = 
	-----------------------------------------------------
	{
		Primary = "Skill_Necromancy",
		Secondary = "Skill_Lancing",
	},
	-----------------------------------------------------
	EnterWorldButtonTooltip = 
	-----------------------------------------------------
	"[FF7700]Let the Light guide you\n",
	-----------------------------------------------------
	Introduction = 
	-----------------------------------------------------
	"Starting Skills\n" ..
	"Combat School: Lancing\n" ..
	"Combat Focus: Tactics\n" ..
	"Magic School: Dark\n" ..
	"Magic Focus: Conservation\n" ..
	"Magic Focus: Summoning\n" ..
	"Magic Focus: Enhancement\n",
	-----------------------------------------------------
	Skills =
	-----------------------------------------------------	
	{		
		{ SkillName = "LancingSkill", StartValue = 100, },
		{ SkillName = "TacticsSkill", StartValue = 100, },
		{ SkillName = "MagicFocusSummoning", StartValue = 100, },
		{ SkillName = "MagicFocusConservation", StartValue = 100, },
		{ SkillName = "DarkMagic", StartValue = 100, },
		{ SkillName = "MagicFocusEnhancement", StartValue = 100, },	
	},
	-----------------------------------------------------
	Template = 
	-----------------------------------------------------
	"starting_template_paladin_of_the_dark",
	-----------------------------------------------------	
}
