-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- secondary weapon ability for the earth staff
-- removes 5% of the targets mana
MobileEffectLibrary.SkullCrack = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = WeaponAbilitiesDurations.PlayerLong,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Target = self.ParentObj
		if ( self.Target:IsPlayer() ) then
			AddBuffIcon(self.Target, "SkullCrack", "[FFBB88]Skull Crack[-]", "pulverize", "Your Stunned.")
			self.Duration = args.PlayerDuration or WeaponAbilitiesDurations.PlayerNormal
		else
			self.Duration = args.Duration or WeaponAbilitiesDurations.MobileNormal
		end
		SetMobileMod(target, "MoveSpeedPlus", "SkullCrack", -0.25)	
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
		if ( self.Target:IsPlayer() ) then
			RemoveBuffIcon(self.Target, "SkullCrack")
		end
		SetMobileMod(self.ParentObj, "MoveSpeedPlus", "SkullCrack", nil)
	end,	
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		--self.Target:PlayEffectWithArgs("FireballExplosionEffect",1.8,"Bone=Ground")
		if ( self.Target:IsPlayer() ) then
			self.Target:SystemMessage("[FFBB88]" .. self.Caster:GetName() .. "\'s weapon flashes...")
		end
		if (self.Caster:IsPlayer()) then
			self.Caster:SystemMessage("[FFBB88]you speak Calvaria Resiliunt as your staff cracks " .. self.Target:GetName() .. " in the head...")
		end
	end,
}